sidebarNodes={"extras":[{"group":"","headers":[{"anchor":"modules","id":"Modules"},{"anchor":"mix-tasks","id":"Mix Tasks"}],"id":"api-reference","title":"API Reference"},{"group":"","headers":[{"anchor":"features","id":"Features"},{"anchor":"basic-architecture","id":"Basic architecture"},{"anchor":"getting-started","id":"Getting Started"},{"anchor":"documentation","id":"Documentation"},{"anchor":"contributing","id":"Contributing"},{"anchor":"copyright-and-license","id":"Copyright and License"}],"id":"readme","title":"Antikythera Framework"},{"group":"","headers":[{"anchor":"guidelines","id":"Guidelines"},{"anchor":"typespec","id":"Typespec"},{"anchor":"module-names","id":"Module names"},{"anchor":"order-of-module-aliases","id":"Order of module aliases"},{"anchor":"do-not-abuse-import","id":"Do not abuse import"},{"anchor":"function-calling-syntax","id":"Function calling syntax"},{"anchor":"using-operator","id":"Using |&gt; operator"}],"id":"style_guide","title":"Antikythera Style Guide"},{"group":"","headers":[{"anchor":"surveying-and-discussions","id":"Surveying and Discussions"},{"anchor":"contributing-to-the-antikythera-code","id":"Contributing to the antikythera code"}],"id":"contributing","title":"Contributing Guide"},{"group":"Basics","headers":[],"id":"getting_started","title":"Getting Started"},{"group":"Basics","headers":[{"anchor":"install-compilers-and-build-tools","id":"Install Compilers and Build Tools"},{"anchor":"prepare-for-domain-based-routing","id":"Prepare for Domain-based Routing"},{"anchor":"environment-variables-to-tweak-behavior-of-antikythera","id":"Environment variables to tweak behavior of antikythera"}],"id":"development_environment","title":"Development Environment"},{"group":"Basics","headers":[{"anchor":"libraries-available-from-gears","id":"Libraries available from gears"},{"anchor":"specifying-other-gears-as-dependencies","id":"Specifying other gears as dependencies"},{"anchor":"tools","id":"Tools"}],"id":"library_dependencies","title":"Dependency Management"},{"group":"Gear Development","headers":[{"anchor":"getting-started-guide","id":"Getting Started Guide"},{"anchor":"setting-up-your-development-environment","id":"Setting up your development environment"},{"anchor":"library-dependencies","id":"Library dependencies"},{"anchor":"automatic-deployment","id":"Automatic deployment"},{"anchor":"web-request-routing","id":"Web request routing"},{"anchor":"gear-to-gear-communication","id":"Gear to gear communication"},{"anchor":"implementing-controller-action","id":"Implementing controller action"},{"anchor":"dynamic-html-generation-using-templates","id":"Dynamic HTML generation using templates"},{"anchor":"implementing-websocket-server","id":"Implementing websocket server"},{"anchor":"asynchronous-jobs","id":"Asynchronous jobs"},{"anchor":"executor-pool-for-controlling-computing-resources","id":"Executor pool for controlling computing resources"},{"anchor":"logging","id":"Logging"},{"anchor":"metrics-reporting","id":"Metrics Reporting"},{"anchor":"alerting","id":"Alerting"},{"anchor":"gear-config","id":"Gear config"},{"anchor":"internationalization","id":"Internationalization"},{"anchor":"testing","id":"Testing"},{"anchor":"what-gear-implementations-must-not-do","id":"What gear implementations must not do"},{"anchor":"limitations","id":"Limitations"}],"id":"gear_developers","title":"For Gear Developers"},{"group":"Gear Development","headers":[{"anchor":"antikythera-s-deployment-policy","id":"Antikythera's deployment policy"},{"anchor":"gear-s-git-repository","id":"Gear's git repository"},{"anchor":"deployment-flow","id":"Deployment flow"},{"anchor":"about-jenkins-job-settings","id":"About jenkins job settings"},{"anchor":"tests-executed-by-jenkins-during-deploy-jobs","id":"Tests executed by jenkins during deploy jobs"},{"anchor":"troubleshoot-errors-during-deploy","id":"Troubleshoot errors during deploy"}],"id":"deployment","title":"Deployment to Antikythera Instance"},{"group":"Gear Development","headers":[{"anchor":"domain-based-routing-to-a-specific-gear","id":"Domain-based routing to a specific gear"},{"anchor":"path-based-routing-to-a-specific-controller-action","id":"Path-based routing to a specific controller action"}],"id":"routing","title":"Web Requests Routing"},{"group":"Gear Development","headers":[{"anchor":"avoiding-unnecessary-body-decoding-encoding","id":"Avoiding unnecessary body decoding/encoding"}],"id":"g2g","title":"Gear-to-Gear (g2g) Communication"},{"group":"Gear Development","headers":[{"anchor":"handling-errors","id":"Handling errors"},{"anchor":"response-headers","id":"Response headers"}],"id":"controller","title":"Implementing Controller"},{"group":"Gear Development","headers":[],"id":"dynamic_html","title":"Templates for Dynamic HTML"},{"group":"Gear Development","headers":[{"anchor":"implementing-websocket-enabled-gear","id":"Implementing websocket-enabled gear"},{"anchor":"websocket-connection-process","id":"Websocket connection process"}],"id":"websocket","title":"Websocket"},{"group":"Gear Development","headers":[{"anchor":"usage-example","id":"Usage example"}],"id":"async_job","title":"Asynchronous Jobs"},{"group":"Gear Development","headers":[{"anchor":"purpose","id":"Purpose"},{"anchor":"how-to-choose-target-executor-pool-for-the-given-task","id":"How to choose target executor pool for the given task"},{"anchor":"associations-between-gears-and-tenant-executor-pools","id":"Associations between gears and tenant executor pools"},{"anchor":"managing-capacity-of-executor-pools","id":"Managing capacity of executor pools"},{"anchor":"limits-for-gear-processes","id":"Limits for gear processes"}],"id":"executor_pool","title":"“Executor Pool” for Resource Management"},{"group":"Gear Development","headers":[{"anchor":"auto-generated-log-messages","id":"Auto-generated log messages"},{"anchor":"obtaining-log-files","id":"Obtaining log files"}],"id":"logging","title":"Logging"},{"group":"Gear Development","headers":[{"anchor":"auto-collected-metrics","id":"Auto-collected metrics"},{"anchor":"custom-metrics","id":"Custom metrics"},{"anchor":"metrics-search-and-visualization","id":"Metrics search and visualization"}],"id":"metrics_reporting","title":"Metrics Reporting"},{"group":"Gear Development","headers":[{"anchor":"alert-behavior-and-configurations","id":"Alert behavior and configurations"}],"id":"alerting","title":"Alerting"},{"group":"Gear Development","headers":[{"anchor":"getting-gear-config","id":"Getting gear config"},{"anchor":"setting-gear-config","id":"Setting gear config"}],"id":"gear_config","title":"Gear Config"},{"group":"Gear Development","headers":[{"anchor":"preparing-translations","id":"Preparing translations"},{"anchor":"workflow-using-gettext-mix-tasks-and-macros","id":"Workflow using Gettext mix tasks and macros"},{"anchor":"setting-locale-for-each-web-request","id":"Setting locale for each web request"}],"id":"i18n","title":"Internationalization"},{"group":"Gear Development","headers":[{"anchor":"libraries","id":"Libraries"},{"anchor":"whitebox-blackbox-testing-and-test-modes","id":"Whitebox/blackbox testing and test modes"},{"anchor":"secret-in-testing","id":"Secret in testing"}],"id":"testing","title":"Testing"},{"group":"Gear Development","headers":[],"id":"must_nots","title":"What Gears Must Not Do"},{"group":"Gear Development","headers":[],"id":"limitations","title":"Limitations"}],"modules":[{"deprecated":false,"group":"","id":"Antikythera.Asset","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"list_asset_file_paths/0","deprecated":false,"id":"list_asset_file_paths/0","title":"list_asset_file_paths()"},{"anchor":"retention_days/0","deprecated":false,"id":"retention_days/0","title":"retention_days()"}]}],"sections":[{"anchor":"module-usage","id":"Usage"},{"anchor":"module-asset-urls-during-development","id":"Asset URLs during development"},{"anchor":"module-retention-cleanup-policy-for-asset-files","id":"Retention/cleanup policy for asset files"}],"title":"Antikythera.Asset"},{"deprecated":false,"group":"","id":"Antikythera.AsyncJob","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:option/0","deprecated":false,"id":"option/0","title":"option()"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:abandon/3","deprecated":false,"id":"abandon/3","title":"abandon(map, t, t)"},{"anchor":"c:inspect_payload/1","deprecated":false,"id":"inspect_payload/1","title":"inspect_payload(map)"},{"anchor":"c:run/3","deprecated":false,"id":"run/3","title":"run(map, t, t)"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"cancel/3","deprecated":false,"id":"cancel/3","title":"cancel(gear_name, context_or_epool_id, job_id)"},{"anchor":"list/1","deprecated":false,"id":"list/1","title":"list(context_or_epool_id)"},{"anchor":"status/2","deprecated":false,"id":"status/2","title":"status(context_or_epool_id, job_id)"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.AsyncJob"},{"deprecated":false,"group":"","id":"Antikythera.AsyncJob.Attempts","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.AsyncJob.Attempts"},{"deprecated":false,"group":"","id":"Antikythera.AsyncJob.Id","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"generate/0","deprecated":false,"id":"generate/0","title":"generate()"},{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.AsyncJob.Id"},{"deprecated":false,"group":"","id":"Antikythera.AsyncJob.MaxDuration","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.AsyncJob.MaxDuration"},{"deprecated":false,"group":"","id":"Antikythera.AsyncJob.Metadata","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"attempts/1","deprecated":false,"id":"attempts/1","title":"attempts(metadata)"},{"anchor":"attempts/2","deprecated":false,"id":"attempts/2","title":"attempts(s, field)"},{"anchor":"id/1","deprecated":false,"id":"id/1","title":"id(metadata)"},{"anchor":"id/2","deprecated":false,"id":"id/2","title":"id(s, field)"},{"anchor":"max_duration/1","deprecated":false,"id":"max_duration/1","title":"max_duration(metadata)"},{"anchor":"max_duration/2","deprecated":false,"id":"max_duration/2","title":"max_duration(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"remaining_attempts/1","deprecated":false,"id":"remaining_attempts/1","title":"remaining_attempts(metadata)"},{"anchor":"remaining_attempts/2","deprecated":false,"id":"remaining_attempts/2","title":"remaining_attempts(s, field)"},{"anchor":"retry_interval/1","deprecated":false,"id":"retry_interval/1","title":"retry_interval(metadata)"},{"anchor":"retry_interval/2","deprecated":false,"id":"retry_interval/2","title":"retry_interval(s, field)"},{"anchor":"run_at/1","deprecated":false,"id":"run_at/1","title":"run_at(metadata)"},{"anchor":"run_at/2","deprecated":false,"id":"run_at/2","title":"run_at(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"Antikythera.AsyncJob.Metadata"},{"deprecated":false,"group":"","id":"Antikythera.AsyncJob.RetryInterval","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"interval/2","deprecated":false,"id":"interval/2","title":"interval(t, n_retries_done_so_far)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.AsyncJob.RetryInterval"},{"deprecated":false,"group":"","id":"Antikythera.AsyncJob.RetryInterval.Base","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.AsyncJob.RetryInterval.Base"},{"deprecated":false,"group":"","id":"Antikythera.AsyncJob.RetryInterval.Factor","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.AsyncJob.RetryInterval.Factor"},{"deprecated":false,"group":"","id":"Antikythera.AsyncJob.Schedule","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(t)"}]}],"sections":[],"title":"Antikythera.AsyncJob.Schedule"},{"deprecated":false,"group":"","id":"Antikythera.AsyncJob.StateLabel","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"},{"anchor":"values/0","deprecated":false,"id":"values/0","title":"values()"}]}],"sections":[],"title":"Antikythera.AsyncJob.StateLabel"},{"deprecated":false,"group":"","id":"Antikythera.AsyncJob.Status","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"attempts/1","deprecated":false,"id":"attempts/1","title":"attempts(status)"},{"anchor":"attempts/2","deprecated":false,"id":"attempts/2","title":"attempts(s, field)"},{"anchor":"gear_name/1","deprecated":false,"id":"gear_name/1","title":"gear_name(status)"},{"anchor":"gear_name/2","deprecated":false,"id":"gear_name/2","title":"gear_name(s, field)"},{"anchor":"id/1","deprecated":false,"id":"id/1","title":"id(status)"},{"anchor":"id/2","deprecated":false,"id":"id/2","title":"id(s, field)"},{"anchor":"max_duration/1","deprecated":false,"id":"max_duration/1","title":"max_duration(status)"},{"anchor":"max_duration/2","deprecated":false,"id":"max_duration/2","title":"max_duration(s, field)"},{"anchor":"module/1","deprecated":false,"id":"module/1","title":"module(status)"},{"anchor":"module/2","deprecated":false,"id":"module/2","title":"module(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"payload/1","deprecated":false,"id":"payload/1","title":"payload(status)"},{"anchor":"payload/2","deprecated":false,"id":"payload/2","title":"payload(s, field)"},{"anchor":"remaining_attempts/1","deprecated":false,"id":"remaining_attempts/1","title":"remaining_attempts(status)"},{"anchor":"remaining_attempts/2","deprecated":false,"id":"remaining_attempts/2","title":"remaining_attempts(s, field)"},{"anchor":"retry_interval/1","deprecated":false,"id":"retry_interval/1","title":"retry_interval(status)"},{"anchor":"retry_interval/2","deprecated":false,"id":"retry_interval/2","title":"retry_interval(s, field)"},{"anchor":"schedule/1","deprecated":false,"id":"schedule/1","title":"schedule(status)"},{"anchor":"schedule/2","deprecated":false,"id":"schedule/2","title":"schedule(s, field)"},{"anchor":"start_time/1","deprecated":false,"id":"start_time/1","title":"start_time(status)"},{"anchor":"start_time/2","deprecated":false,"id":"start_time/2","title":"start_time(s, field)"},{"anchor":"state/1","deprecated":false,"id":"state/1","title":"state(status)"},{"anchor":"state/2","deprecated":false,"id":"state/2","title":"state(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"Antikythera.AsyncJob.Status"},{"deprecated":false,"group":"","id":"Antikythera.Aws.CloudfrontSignedUrl","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"generate_signed_url/5","deprecated":false,"id":"generate_signed_url/5","title":"generate_signed_url(resource_url, lifetime_in_seconds, key_pair_id, private_key, url_encoded? \\\\ false)"},{"anchor":"generate_signed_url_using_custom_policy/6","deprecated":false,"id":"generate_signed_url_using_custom_policy/6","title":"generate_signed_url_using_custom_policy(resource_url, lifetime_in_seconds, key_pair_id, private_key, url_encoded? \\\\ false, optional_policy \\\\ [])"}]}],"sections":[],"title":"Antikythera.Aws.CloudfrontSignedUrl"},{"deprecated":false,"group":"","id":"Antikythera.CodeUtil","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"doc_by_mfa!/3","deprecated":false,"id":"doc_by_mfa!/3","title":"doc_by_mfa!(module, function, arity)"}]}],"sections":[],"title":"Antikythera.CodeUtil"},{"deprecated":false,"group":"","id":"Antikythera.Conn","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"assign/3","deprecated":false,"id":"assign/3","title":"assign(conn, key, value)"},{"anchor":"assigns/1","deprecated":false,"id":"assigns/1","title":"assigns(conn)"},{"anchor":"assigns/2","deprecated":false,"id":"assigns/2","title":"assigns(s, field)"},{"anchor":"before_send/1","deprecated":false,"id":"before_send/1","title":"before_send(conn)"},{"anchor":"before_send/2","deprecated":false,"id":"before_send/2","title":"before_send(s, field)"},{"anchor":"clear_session/1","deprecated":false,"id":"clear_session/1","title":"clear_session(conn)"},{"anchor":"context/1","deprecated":false,"id":"context/1","title":"context(conn)"},{"anchor":"context/2","deprecated":false,"id":"context/2","title":"context(s, field)"},{"anchor":"delete_session/2","deprecated":false,"id":"delete_session/2","title":"delete_session(conn, key)"},{"anchor":"destroy_session/1","deprecated":false,"id":"destroy_session/1","title":"destroy_session(conn)"},{"anchor":"get_flash/2","deprecated":false,"id":"get_flash/2","title":"get_flash(arg0, key)"},{"anchor":"get_req_cookie/2","deprecated":false,"id":"get_req_cookie/2","title":"get_req_cookie(conn, name)"},{"anchor":"get_req_cookies/1","deprecated":false,"id":"get_req_cookies/1","title":"get_req_cookies(arg0)"},{"anchor":"get_req_header/2","deprecated":false,"id":"get_req_header/2","title":"get_req_header(arg0, key)"},{"anchor":"get_req_query/2","deprecated":false,"id":"get_req_query/2","title":"get_req_query(arg0, key)"},{"anchor":"get_session/2","deprecated":false,"id":"get_session/2","title":"get_session(arg0, key)"},{"anchor":"json/3","deprecated":false,"id":"json/3","title":"json(conn, status, body)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"no_cache/1","deprecated":false,"id":"no_cache/1","title":"no_cache(conn)"},{"anchor":"put_flash/3","deprecated":false,"id":"put_flash/3","title":"put_flash(conn, key, value)"},{"anchor":"put_resp_body/2","deprecated":false,"id":"put_resp_body/2","title":"put_resp_body(conn, body)"},{"anchor":"put_resp_cookie/4","deprecated":false,"id":"put_resp_cookie/4","title":"put_resp_cookie(conn, name, value, opts0 \\\\ %{})"},{"anchor":"put_resp_cookie_to_revoke/2","deprecated":false,"id":"put_resp_cookie_to_revoke/2","title":"put_resp_cookie_to_revoke(conn, name)"},{"anchor":"put_resp_header/3","deprecated":false,"id":"put_resp_header/3","title":"put_resp_header(conn, key, value)"},{"anchor":"put_resp_headers/2","deprecated":false,"id":"put_resp_headers/2","title":"put_resp_headers(conn, headers)"},{"anchor":"put_session/3","deprecated":false,"id":"put_session/3","title":"put_session(conn, key, value)"},{"anchor":"put_status/2","deprecated":false,"id":"put_status/2","title":"put_status(conn, status)"},{"anchor":"redirect/3","deprecated":false,"id":"redirect/3","title":"redirect(conn, url, status \\\\ 302)"},{"anchor":"register_before_send/2","deprecated":false,"id":"register_before_send/2","title":"register_before_send(conn, callback)"},{"anchor":"render/5","deprecated":false,"id":"render/5","title":"render(conn, status, template_name, render_params, opts \\\\ [layout: :application])"},{"anchor":"renew_session/1","deprecated":false,"id":"renew_session/1","title":"renew_session(conn)"},{"anchor":"request/1","deprecated":false,"id":"request/1","title":"request(conn)"},{"anchor":"request/2","deprecated":false,"id":"request/2","title":"request(s, field)"},{"anchor":"resp_body/1","deprecated":false,"id":"resp_body/1","title":"resp_body(conn)"},{"anchor":"resp_body/2","deprecated":false,"id":"resp_body/2","title":"resp_body(s, field)"},{"anchor":"resp_cookies/1","deprecated":false,"id":"resp_cookies/1","title":"resp_cookies(conn)"},{"anchor":"resp_cookies/2","deprecated":false,"id":"resp_cookies/2","title":"resp_cookies(s, field)"},{"anchor":"resp_headers/1","deprecated":false,"id":"resp_headers/1","title":"resp_headers(conn)"},{"anchor":"resp_headers/2","deprecated":false,"id":"resp_headers/2","title":"resp_headers(s, field)"},{"anchor":"send_priv_file/3","deprecated":false,"id":"send_priv_file/3","title":"send_priv_file(conn, status, path)"},{"anchor":"status/1","deprecated":false,"id":"status/1","title":"status(conn)"},{"anchor":"status/2","deprecated":false,"id":"status/2","title":"status(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"Antikythera.Conn"},{"deprecated":false,"group":"","id":"Antikythera.Conn.Assigns","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Conn.Assigns"},{"deprecated":false,"group":"","id":"Antikythera.Conn.BeforeSend","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Conn.BeforeSend"},{"deprecated":false,"group":"","id":"Antikythera.Context","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"context_id/1","deprecated":false,"id":"context_id/1","title":"context_id(context)"},{"anchor":"context_id/2","deprecated":false,"id":"context_id/2","title":"context_id(s, field)"},{"anchor":"executor_pool_id/1","deprecated":false,"id":"executor_pool_id/1","title":"executor_pool_id(context)"},{"anchor":"executor_pool_id/2","deprecated":false,"id":"executor_pool_id/2","title":"executor_pool_id(s, field)"},{"anchor":"gear_entry_point/1","deprecated":false,"id":"gear_entry_point/1","title":"gear_entry_point(context)"},{"anchor":"gear_entry_point/2","deprecated":false,"id":"gear_entry_point/2","title":"gear_entry_point(s, field)"},{"anchor":"gear_name/1","deprecated":false,"id":"gear_name/1","title":"gear_name(context)"},{"anchor":"gear_name/2","deprecated":false,"id":"gear_name/2","title":"gear_name(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"start_time/1","deprecated":false,"id":"start_time/1","title":"start_time(context)"},{"anchor":"start_time/2","deprecated":false,"id":"start_time/2","title":"start_time(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"Antikythera.Context"},{"deprecated":false,"group":"","id":"Antikythera.Context.GearEntryPoint","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Context.GearEntryPoint"},{"deprecated":false,"group":"","id":"Antikythera.ContextId","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"system_context/0","deprecated":false,"id":"system_context/0","title":"system_context()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.ContextId"},{"deprecated":false,"group":"","id":"Antikythera.Controller","sections":[],"title":"Antikythera.Controller"},{"deprecated":false,"group":"","id":"Antikythera.Controller.Plug","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"plug/4","deprecated":false,"id":"plug/4","title":"plug(mod, func, plug_arg, opts \\\\ [])"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.Controller.Plug"},{"deprecated":false,"group":"","id":"Antikythera.CowboyWildcardSubdomain","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.CowboyWildcardSubdomain"},{"deprecated":false,"group":"","id":"Antikythera.Cron","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"day_of_month/1","deprecated":false,"id":"day_of_month/1","title":"day_of_month(cron)"},{"anchor":"day_of_month/2","deprecated":false,"id":"day_of_month/2","title":"day_of_month(s, field)"},{"anchor":"day_of_week/1","deprecated":false,"id":"day_of_week/1","title":"day_of_week(cron)"},{"anchor":"day_of_week/2","deprecated":false,"id":"day_of_week/2","title":"day_of_week(s, field)"},{"anchor":"hour/1","deprecated":false,"id":"hour/1","title":"hour(cron)"},{"anchor":"hour/2","deprecated":false,"id":"hour/2","title":"hour(s, field)"},{"anchor":"minute/1","deprecated":false,"id":"minute/1","title":"minute(cron)"},{"anchor":"minute/2","deprecated":false,"id":"minute/2","title":"minute(s, field)"},{"anchor":"month/1","deprecated":false,"id":"month/1","title":"month(cron)"},{"anchor":"month/2","deprecated":false,"id":"month/2","title":"month(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"next/2","deprecated":false,"id":"next/2","title":"next(cron, t)"},{"anchor":"next_in_epoch_milliseconds/2","deprecated":false,"id":"next_in_epoch_milliseconds/2","title":"next_in_epoch_milliseconds(cron, t)"},{"anchor":"parse/1","deprecated":false,"id":"parse/1","title":"parse(s)"},{"anchor":"parse!/1","deprecated":false,"id":"parse!/1","title":"parse!(s)"},{"anchor":"source/1","deprecated":false,"id":"source/1","title":"source(cron)"},{"anchor":"source/2","deprecated":false,"id":"source/2","title":"source(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[{"anchor":"module-schedule-format","id":"Schedule format"}],"title":"Antikythera.Cron"},{"deprecated":false,"group":"","id":"Antikythera.Cron.DayOfMonth","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Cron.DayOfMonth"},{"deprecated":false,"group":"","id":"Antikythera.Cron.DayOfMonth.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Cron.DayOfMonth.Int"},{"deprecated":false,"group":"","id":"Antikythera.Cron.DayOfWeek","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Cron.DayOfWeek"},{"deprecated":false,"group":"","id":"Antikythera.Cron.DayOfWeek.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Cron.DayOfWeek.Int"},{"deprecated":false,"group":"","id":"Antikythera.Cron.Hour","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Cron.Hour"},{"deprecated":false,"group":"","id":"Antikythera.Cron.Hour.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Cron.Hour.Int"},{"deprecated":false,"group":"","id":"Antikythera.Cron.Minute","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Cron.Minute"},{"deprecated":false,"group":"","id":"Antikythera.Cron.Minute.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Cron.Minute.Int"},{"deprecated":false,"group":"","id":"Antikythera.Cron.Month","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Cron.Month"},{"deprecated":false,"group":"","id":"Antikythera.Cron.Month.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Cron.Month.Int"},{"deprecated":false,"group":"","id":"Antikythera.Crypto","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"secure_compare/2","deprecated":false,"id":"secure_compare/2","title":"secure_compare(left, right)"}]}],"sections":[],"title":"Antikythera.Crypto"},{"deprecated":false,"group":"","id":"Antikythera.Crypto.Aes","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:key128/0","deprecated":false,"id":"key128/0","title":"key128()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"ctr128_decrypt/3","deprecated":false,"id":"ctr128_decrypt/3","title":"ctr128_decrypt(encrypted, password, key_derivation_fun \\\\ &md5/1)"},{"anchor":"ctr128_encrypt/3","deprecated":false,"id":"ctr128_encrypt/3","title":"ctr128_encrypt(plain, password, key_derivation_fun \\\\ &md5/1)"},{"anchor":"gcm128_decrypt/4","deprecated":false,"id":"gcm128_decrypt/4","title":"gcm128_decrypt(encrypted, password, aad \\\\ \"\", key_derivation_fun \\\\ &md5/1)"},{"anchor":"gcm128_encrypt/4","deprecated":false,"id":"gcm128_encrypt/4","title":"gcm128_encrypt(plain, password, aad \\\\ \"\", key_derivation_fun \\\\ &md5/1)"}]}],"sections":[{"anchor":"module-deriving-an-aes-key-from-given-password","id":"Deriving an AES key from given password"},{"anchor":"module-transparent-handling-of-initialization-vector","id":"Transparent handling of initialization vector"},{"anchor":"module-associated-authenticated-data-aad-for-gcm","id":"Associated Authenticated Data (AAD) for GCM"}],"title":"Antikythera.Crypto.Aes"},{"deprecated":false,"group":"","id":"Antikythera.Domain","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"pattern_body/0","deprecated":false,"id":"pattern_body/0","title":"pattern_body()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.Domain"},{"deprecated":false,"group":"","id":"Antikythera.DomainList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max_length/0","deprecated":false,"id":"max_length/0","title":"max_length()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.DomainList"},{"deprecated":false,"group":"","id":"Antikythera.Email","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.Email"},{"deprecated":false,"group":"","id":"Antikythera.EncodedPath","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.EncodedPath"},{"deprecated":false,"group":"","id":"Antikythera.EnumUtil","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:context/0","deprecated":false,"id":"context/0","title":"context()"},{"anchor":"t:element/0","deprecated":false,"id":"element/0","title":"element()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"find!/2","deprecated":false,"id":"find!/2","title":"find!(e, fun)"},{"anchor":"find_value!/2","deprecated":false,"id":"find_value!/2","title":"find_value!(e, fun)"},{"anchor":"map_with_context/3","deprecated":false,"id":"map_with_context/3","title":"map_with_context(e, c, fun)"}]}],"sections":[],"title":"Antikythera.EnumUtil"},{"deprecated":false,"group":"","id":"Antikythera.Env","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"antikythera_instance_name/0","deprecated":false,"id":"antikythera_instance_name/0","title":"antikythera_instance_name()"},{"anchor":"asset_base_url/1","deprecated":false,"id":"asset_base_url/1","title":"asset_base_url(gear_name)"},{"anchor":"base_url/1","deprecated":false,"id":"base_url/1","title":"base_url(arg0)"},{"anchor":"compile_env/0","deprecated":false,"id":"compile_env/0","title":"compile_env()"},{"anchor":"compiling_for_cloud?/0","deprecated":false,"id":"compiling_for_cloud?/0","title":"compiling_for_cloud?()"},{"anchor":"compiling_for_mix_task?/0","deprecated":false,"id":"compiling_for_mix_task?/0","title":"compiling_for_mix_task?()"},{"anchor":"compiling_for_release?/0","deprecated":false,"id":"compiling_for_release?/0","title":"compiling_for_release?()"},{"anchor":"default_base_url/2","deprecated":false,"id":"default_base_url/2","title":"default_base_url(gear_name, env \\\\ :undefined)"},{"anchor":"gear_action_timeout/0","deprecated":false,"id":"gear_action_timeout/0","title":"gear_action_timeout()"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"no_listen?/0","deprecated":false,"id":"no_listen?/0","title":"no_listen?()"},{"anchor":"port_to_listen/0","deprecated":false,"id":"port_to_listen/0","title":"port_to_listen()"},{"anchor":"running_in_cloud?/0","deprecated":false,"id":"running_in_cloud?/0","title":"running_in_cloud?()"},{"anchor":"running_on_mix_task?/0","deprecated":false,"id":"running_on_mix_task?/0","title":"running_on_mix_task?()"},{"anchor":"running_with_release?/0","deprecated":false,"id":"running_with_release?/0","title":"running_with_release?()"},{"anchor":"runtime_env/0","deprecated":false,"id":"runtime_env/0","title":"runtime_env()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"},{"anchor":"values/0","deprecated":false,"id":"values/0","title":"values()"}]}],"sections":[{"anchor":"module-environments-and-deployments","id":"Environments and deployments"}],"title":"Antikythera.Env"},{"deprecated":false,"group":"","id":"Antikythera.Env.Mapping","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"cloud?/1","deprecated":false,"id":"cloud?/1","title":"cloud?(arg1)"},{"anchor":"env_var_to_atom/1","deprecated":false,"id":"env_var_to_atom/1","title":"env_var_to_atom(arg1)"}]}],"sections":[],"title":"Antikythera.Env.Mapping"},{"deprecated":false,"group":"","id":"Antikythera.ErrorReason","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:gear_action_error_reason/0","deprecated":false,"id":"gear_action_error_reason/0","title":"gear_action_error_reason()"},{"anchor":"t:stack_item/0","deprecated":false,"id":"stack_item/0","title":"stack_item()"},{"anchor":"t:stacktrace/0","deprecated":false,"id":"stacktrace/0","title":"stacktrace()"},{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"format/2","deprecated":false,"id":"format/2","title":"format(reason, stacktrace)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(t)"}]}],"sections":[],"title":"Antikythera.ErrorReason"},{"deprecated":false,"group":"","id":"Antikythera.ExecutorPool.BadIdReason","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.ExecutorPool.BadIdReason"},{"deprecated":false,"group":"","id":"Antikythera.ExecutorPool.Id","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:nopool_t/0","deprecated":false,"id":"nopool_t/0","title":"nopool_t()"},{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"nopool/0","deprecated":false,"id":"nopool/0","title":"nopool()"},{"anchor":"to_string/1","deprecated":false,"id":"to_string/1","title":"to_string(epool_id)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.ExecutorPool.Id"},{"deprecated":false,"group":"","id":"Antikythera.FastJasonEncoder","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"encode/1","deprecated":false,"id":"encode/1","title":"encode(value)"},{"anchor":"encode/2","deprecated":false,"id":"encode/2","title":"encode(value, opts)"},{"anchor":"encode!/1","deprecated":false,"id":"encode!/1","title":"encode!(arg0)"}]}],"sections":[],"title":"Antikythera.FastJasonEncoder"},{"deprecated":false,"group":"","id":"Antikythera.FastJasonEncoder.Wrapper","sections":[],"title":"Antikythera.FastJasonEncoder.Wrapper"},{"deprecated":false,"group":"","id":"Antikythera.G2gRequest","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"body/1","deprecated":false,"id":"body/1","title":"body(g2g_request)"},{"anchor":"body/2","deprecated":false,"id":"body/2","title":"body(s, field)"},{"anchor":"cookies/1","deprecated":false,"id":"cookies/1","title":"cookies(g2g_request)"},{"anchor":"cookies/2","deprecated":false,"id":"cookies/2","title":"cookies(s, field)"},{"anchor":"from_web_request/1","deprecated":false,"id":"from_web_request/1","title":"from_web_request(arg0)"},{"anchor":"headers/1","deprecated":false,"id":"headers/1","title":"headers(g2g_request)"},{"anchor":"headers/2","deprecated":false,"id":"headers/2","title":"headers(s, field)"},{"anchor":"method/1","deprecated":false,"id":"method/1","title":"method(g2g_request)"},{"anchor":"method/2","deprecated":false,"id":"method/2","title":"method(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"path/1","deprecated":false,"id":"path/1","title":"path(g2g_request)"},{"anchor":"path/2","deprecated":false,"id":"path/2","title":"path(s, field)"},{"anchor":"query_params/1","deprecated":false,"id":"query_params/1","title":"query_params(g2g_request)"},{"anchor":"query_params/2","deprecated":false,"id":"query_params/2","title":"query_params(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"Antikythera.G2gRequest"},{"deprecated":false,"group":"","id":"Antikythera.G2gResponse","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"body/1","deprecated":false,"id":"body/1","title":"body(g2g_response)"},{"anchor":"body/2","deprecated":false,"id":"body/2","title":"body(s, field)"},{"anchor":"cookies/1","deprecated":false,"id":"cookies/1","title":"cookies(g2g_response)"},{"anchor":"cookies/2","deprecated":false,"id":"cookies/2","title":"cookies(s, field)"},{"anchor":"decode_body/1","deprecated":false,"id":"decode_body/1","title":"decode_body(res)"},{"anchor":"headers/1","deprecated":false,"id":"headers/1","title":"headers(g2g_response)"},{"anchor":"headers/2","deprecated":false,"id":"headers/2","title":"headers(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"status/1","deprecated":false,"id":"status/1","title":"status(g2g_response)"},{"anchor":"status/2","deprecated":false,"id":"status/2","title":"status(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"Antikythera.G2gResponse"},{"deprecated":false,"group":"","id":"Antikythera.GearActionTimeout","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.GearActionTimeout"},{"deprecated":false,"group":"","id":"Antikythera.GearApplication","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:child_spec/0","deprecated":false,"id":"child_spec/0","title":"child_spec()"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:children/0","deprecated":false,"id":"children/0","title":"children()"},{"anchor":"c:executor_pool_for_web_request/1","deprecated":false,"id":"executor_pool_for_web_request/1","title":"executor_pool_for_web_request(t)"}]}],"sections":[],"title":"Antikythera.GearApplication"},{"deprecated":false,"group":"","id":"Antikythera.GearApplication.AlertManager","sections":[],"title":"Antikythera.GearApplication.AlertManager"},{"deprecated":false,"group":"","id":"Antikythera.GearApplication.ConfigGetter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"cleanup_configs_in_process_dictionary/0","deprecated":false,"id":"cleanup_configs_in_process_dictionary/0","title":"cleanup_configs_in_process_dictionary()"}]}],"sections":[],"title":"Antikythera.GearApplication.ConfigGetter"},{"deprecated":false,"group":"","id":"Antikythera.GearApplication.ErrorHandler","sections":[],"title":"Antikythera.GearApplication.ErrorHandler"},{"deprecated":false,"group":"","id":"Antikythera.GearApplication.G2g","sections":[],"title":"Antikythera.GearApplication.G2g"},{"deprecated":false,"group":"","id":"Antikythera.GearApplication.Logger","sections":[],"title":"Antikythera.GearApplication.Logger"},{"deprecated":false,"group":"","id":"Antikythera.GearApplication.MetricsUploader","sections":[],"title":"Antikythera.GearApplication.MetricsUploader"},{"deprecated":false,"group":"","id":"Antikythera.GearName","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.GearName"},{"deprecated":false,"group":"","id":"Antikythera.GearNameStr","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.GearNameStr"},{"deprecated":false,"group":"","id":"Antikythera.Gettext","sections":[],"title":"Antikythera.Gettext"},{"deprecated":false,"group":"","id":"Antikythera.Http","sections":[],"title":"Antikythera.Http"},{"deprecated":false,"group":"","id":"Antikythera.Http.Body","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Http.Body"},{"deprecated":false,"group":"","id":"Antikythera.Http.Headers","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Http.Headers"},{"deprecated":false,"group":"","id":"Antikythera.Http.Method","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"all/0","deprecated":false,"id":"all/0","title":"all()"},{"anchor":"from_string/1","deprecated":false,"id":"from_string/1","title":"from_string(binary)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"to_string/1","deprecated":false,"id":"to_string/1","title":"to_string(atom)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"},{"anchor":"values/0","deprecated":false,"id":"values/0","title":"values()"}]}],"sections":[],"title":"Antikythera.Http.Method"},{"deprecated":false,"group":"","id":"Antikythera.Http.QueryParams","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Http.QueryParams"},{"deprecated":false,"group":"","id":"Antikythera.Http.RawBody","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Http.RawBody"},{"deprecated":false,"group":"","id":"Antikythera.Http.ReqCookiesMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Http.ReqCookiesMap"},{"deprecated":false,"group":"","id":"Antikythera.Http.SetCookie","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:options_t/0","deprecated":false,"id":"options_t/0","title":"options_t()"},{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"domain/1","deprecated":false,"id":"domain/1","title":"domain(set_cookie)"},{"anchor":"domain/2","deprecated":false,"id":"domain/2","title":"domain(s, field)"},{"anchor":"http_only/1","deprecated":false,"id":"http_only/1","title":"http_only(set_cookie)"},{"anchor":"http_only/2","deprecated":false,"id":"http_only/2","title":"http_only(s, field)"},{"anchor":"max_age/1","deprecated":false,"id":"max_age/1","title":"max_age(set_cookie)"},{"anchor":"max_age/2","deprecated":false,"id":"max_age/2","title":"max_age(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"parse!/1","deprecated":false,"id":"parse!/1","title":"parse!(s)"},{"anchor":"path/1","deprecated":false,"id":"path/1","title":"path(set_cookie)"},{"anchor":"path/2","deprecated":false,"id":"path/2","title":"path(s, field)"},{"anchor":"secure/1","deprecated":false,"id":"secure/1","title":"secure(set_cookie)"},{"anchor":"secure/2","deprecated":false,"id":"secure/2","title":"secure(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"},{"anchor":"value/1","deprecated":false,"id":"value/1","title":"value(set_cookie)"},{"anchor":"value/2","deprecated":false,"id":"value/2","title":"value(s, field)"}]}],"sections":[],"title":"Antikythera.Http.SetCookie"},{"deprecated":false,"group":"","id":"Antikythera.Http.SetCookiesMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Http.SetCookiesMap"},{"deprecated":false,"group":"","id":"Antikythera.Http.Status","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"code/1","deprecated":false,"id":"code/1","title":"code(int)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Http.Status"},{"deprecated":false,"group":"","id":"Antikythera.Http.Status.Atom","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"},{"anchor":"values/0","deprecated":false,"id":"values/0","title":"values()"}]}],"sections":[],"title":"Antikythera.Http.Status.Atom"},{"deprecated":false,"group":"","id":"Antikythera.Http.Status.Int","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Http.Status.Int"},{"deprecated":false,"group":"","id":"Antikythera.Httpc","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"default_max_body/0","deprecated":false,"id":"default_max_body/0","title":"default_max_body()"},{"anchor":"delete/3","deprecated":false,"id":"delete/3","title":"delete(url, headers \\\\ %{}, options \\\\ [])"},{"anchor":"delete!/3","deprecated":false,"id":"delete!/3","title":"delete!(url, headers \\\\ %{}, options \\\\ [])"},{"anchor":"get/3","deprecated":false,"id":"get/3","title":"get(url, headers \\\\ %{}, options \\\\ [])"},{"anchor":"get!/3","deprecated":false,"id":"get!/3","title":"get!(url, headers \\\\ %{}, options \\\\ [])"},{"anchor":"head/3","deprecated":false,"id":"head/3","title":"head(url, headers \\\\ %{}, options \\\\ [])"},{"anchor":"head!/3","deprecated":false,"id":"head!/3","title":"head!(url, headers \\\\ %{}, options \\\\ [])"},{"anchor":"maximum_max_body/0","deprecated":false,"id":"maximum_max_body/0","title":"maximum_max_body()"},{"anchor":"options/3","deprecated":false,"id":"options/3","title":"options(url, headers \\\\ %{}, options \\\\ [])"},{"anchor":"options!/3","deprecated":false,"id":"options!/3","title":"options!(url, headers \\\\ %{}, options \\\\ [])"},{"anchor":"patch/4","deprecated":false,"id":"patch/4","title":"patch(url, body, headers, options \\\\ [])"},{"anchor":"patch!/4","deprecated":false,"id":"patch!/4","title":"patch!(url, body, headers, options \\\\ [])"},{"anchor":"post/4","deprecated":false,"id":"post/4","title":"post(url, body, headers, options \\\\ [])"},{"anchor":"post!/4","deprecated":false,"id":"post!/4","title":"post!(url, body, headers, options \\\\ [])"},{"anchor":"put/4","deprecated":false,"id":"put/4","title":"put(url, body, headers, options \\\\ [])"},{"anchor":"put!/4","deprecated":false,"id":"put!/4","title":"put!(url, body, headers, options \\\\ [])"},{"anchor":"request/5","deprecated":false,"id":"request/5","title":"request(method, url, body, headers \\\\ %{}, options \\\\ [])"},{"anchor":"request!/5","deprecated":false,"id":"request!/5","title":"request!(method, url, body, headers \\\\ %{}, options \\\\ [])"}]}],"sections":[{"anchor":"module-body-format","id":"Body format"},{"anchor":"module-options","id":"Options"}],"title":"Antikythera.Httpc"},{"deprecated":false,"group":"","id":"Antikythera.Httpc.Mockable","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"delete/3","deprecated":false,"id":"delete/3","title":"delete(url, headers, options)"},{"anchor":"delete!/3","deprecated":false,"id":"delete!/3","title":"delete!(url, headers, options)"},{"anchor":"get/3","deprecated":false,"id":"get/3","title":"get(url, headers, options)"},{"anchor":"get!/3","deprecated":false,"id":"get!/3","title":"get!(url, headers, options)"},{"anchor":"head/3","deprecated":false,"id":"head/3","title":"head(url, headers, options)"},{"anchor":"head!/3","deprecated":false,"id":"head!/3","title":"head!(url, headers, options)"},{"anchor":"options/3","deprecated":false,"id":"options/3","title":"options(url, headers, options)"},{"anchor":"options!/3","deprecated":false,"id":"options!/3","title":"options!(url, headers, options)"},{"anchor":"patch/4","deprecated":false,"id":"patch/4","title":"patch(url, body, headers, options)"},{"anchor":"patch!/4","deprecated":false,"id":"patch!/4","title":"patch!(url, body, headers, options)"},{"anchor":"post/4","deprecated":false,"id":"post/4","title":"post(url, body, headers, options)"},{"anchor":"post!/4","deprecated":false,"id":"post!/4","title":"post!(url, body, headers, options)"},{"anchor":"put/4","deprecated":false,"id":"put/4","title":"put(url, body, headers, options)"},{"anchor":"put!/4","deprecated":false,"id":"put!/4","title":"put!(url, body, headers, options)"},{"anchor":"request/5","deprecated":false,"id":"request/5","title":"request(method, url, body, headers, options)"},{"anchor":"request!/5","deprecated":false,"id":"request!/5","title":"request!(method, url, body, headers, options)"}]}],"sections":[],"title":"Antikythera.Httpc.Mockable"},{"deprecated":false,"group":"","id":"Antikythera.Httpc.ReqBody","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:json_obj/0","deprecated":false,"id":"json_obj/0","title":"json_obj()"},{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"convert_body_and_headers_by_body_type/2","deprecated":false,"id":"convert_body_and_headers_by_body_type/2","title":"convert_body_and_headers_by_body_type(body, headers)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(t)"}]}],"sections":[],"title":"Antikythera.Httpc.ReqBody"},{"deprecated":false,"group":"","id":"Antikythera.Httpc.Response","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"body/1","deprecated":false,"id":"body/1","title":"body(response)"},{"anchor":"body/2","deprecated":false,"id":"body/2","title":"body(s, field)"},{"anchor":"cookies/1","deprecated":false,"id":"cookies/1","title":"cookies(response)"},{"anchor":"cookies/2","deprecated":false,"id":"cookies/2","title":"cookies(s, field)"},{"anchor":"headers/1","deprecated":false,"id":"headers/1","title":"headers(response)"},{"anchor":"headers/2","deprecated":false,"id":"headers/2","title":"headers(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"status/1","deprecated":false,"id":"status/1","title":"status(response)"},{"anchor":"status/2","deprecated":false,"id":"status/2","title":"status(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"Antikythera.Httpc.Response"},{"deprecated":false,"group":"","id":"Antikythera.ImfFixdate","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.ImfFixdate"},{"deprecated":false,"group":"","id":"Antikythera.IpAddress","sections":[],"title":"Antikythera.IpAddress"},{"deprecated":false,"group":"","id":"Antikythera.IpAddress.V4","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:range/0","deprecated":false,"id":"range/0","title":"range()"},{"anchor":"t:u32/0","deprecated":false,"id":"u32/0","title":"u32()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"parse/1","deprecated":false,"id":"parse/1","title":"parse(s)"},{"anchor":"parse!/1","deprecated":false,"id":"parse!/1","title":"parse!(arg0)"},{"anchor":"parse_range!/1","deprecated":false,"id":"parse_range!/1","title":"parse_range!(s)"},{"anchor":"range_include?/2","deprecated":false,"id":"range_include?/2","title":"range_include?(r, addr)"}]}],"sections":[],"title":"Antikythera.IpAddress.V4"},{"deprecated":false,"group":"","id":"Antikythera.IpAddress.V6","sections":[],"title":"Antikythera.IpAddress.V6"},{"deprecated":false,"group":"","id":"Antikythera.IsoTimestamp","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.IsoTimestamp"},{"deprecated":false,"group":"","id":"Antikythera.IsoTimestamp.Basic","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.IsoTimestamp.Basic"},{"deprecated":false,"group":"","id":"Antikythera.MacroUtil","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"prewalk_accumulate/3","deprecated":false,"id":"prewalk_accumulate/3","title":"prewalk_accumulate(q, acc, f)"}]}],"sections":[],"title":"Antikythera.MacroUtil"},{"deprecated":false,"group":"","id":"Antikythera.MapUtil","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"difference/2","deprecated":false,"id":"difference/2","title":"difference(m1, m2)"},{"anchor":"map_values/2","deprecated":false,"id":"map_values/2","title":"map_values(m, f)"},{"anchor":"update_existing/3","deprecated":false,"id":"update_existing/3","title":"update_existing(map, key, fun)"}]}],"sections":[],"title":"Antikythera.MapUtil"},{"deprecated":false,"group":"","id":"Antikythera.Memcache","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"read/2","deprecated":false,"id":"read/2","title":"read(key, epool_id)"},{"anchor":"read_or_else_write/5","deprecated":false,"id":"read_or_else_write/5","title":"read_or_else_write(key, epool_id, lifetime_in_sec, prob_lifetime_ratio \\\\ 0.9, fun)"},{"anchor":"write/5","deprecated":false,"id":"write/5","title":"write(key, value, epool_id, lifetime_in_sec, prob_lifetime_ratio \\\\ 0.9)"}]}],"sections":[{"anchor":"module-usage","id":"Usage"},{"anchor":"module-limits","id":"Limits"},{"anchor":"module-lifetime-of-records","id":"Lifetime of records"},{"anchor":"module-mechanism-of-expiration","id":"Mechanism of Expiration"}],"title":"Antikythera.Memcache"},{"deprecated":false,"group":"","id":"Antikythera.Memcache.Key","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max_size/0","deprecated":false,"id":"max_size/0","title":"max_size()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(key)"}]}],"sections":[],"title":"Antikythera.Memcache.Key"},{"deprecated":false,"group":"","id":"Antikythera.Memcache.NormalizedFloat","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max/0","deprecated":false,"id":"max/0","title":"max()"},{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Memcache.NormalizedFloat"},{"deprecated":false,"group":"","id":"Antikythera.Memcache.Value","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max_size/0","deprecated":false,"id":"max_size/0","title":"max_size()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"Antikythera.Memcache.Value"},{"deprecated":false,"group":"","id":"Antikythera.Metrics.Data","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Metrics.Data"},{"deprecated":false,"group":"","id":"Antikythera.Metrics.DataList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"min_length/0","deprecated":false,"id":"min_length/0","title":"min_length()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Metrics.DataList"},{"deprecated":false,"group":"","id":"Antikythera.MilliSecondsInGregorian","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"time_epoch_offset_milliseconds/0","deprecated":false,"id":"time_epoch_offset_milliseconds/0","title":"time_epoch_offset_milliseconds()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.MilliSecondsInGregorian"},{"deprecated":false,"group":"","id":"Antikythera.MilliSecondsSinceEpoch","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.MilliSecondsSinceEpoch"},{"deprecated":false,"group":"","id":"Antikythera.Mix.Task","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"prepare_antikythera_instance/0","deprecated":false,"id":"prepare_antikythera_instance/0","title":"prepare_antikythera_instance()"},{"anchor":"set_node_id_to_gear_log_context/1","deprecated":false,"id":"set_node_id_to_gear_log_context/1","title":"set_node_id_to_gear_log_context(node_id)"}]}],"sections":[],"title":"Antikythera.Mix.Task"},{"deprecated":false,"group":"","id":"Antikythera.NestedMap","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"deep_merge/2","deprecated":false,"id":"deep_merge/2","title":"deep_merge(m1, m2)"},{"anchor":"force_update/3","deprecated":false,"id":"force_update/3","title":"force_update(m, keys, fun)"},{"anchor":"update_existing_in/3","deprecated":false,"id":"update_existing_in/3","title":"update_existing_in(m, keys, fun)"}]}],"sections":[],"title":"Antikythera.NestedMap"},{"deprecated":false,"group":"","id":"Antikythera.NodeId","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"pattern_string/0","deprecated":false,"id":"pattern_string/0","title":"pattern_string()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.NodeId"},{"deprecated":false,"group":"","id":"Antikythera.PathInfo","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.PathInfo"},{"deprecated":false,"group":"","id":"Antikythera.PathSegment","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"charclass/0","deprecated":false,"id":"charclass/0","title":"charclass()"},{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.PathSegment"},{"deprecated":false,"group":"","id":"Antikythera.Plug.BasicAuthentication","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"check_with_config/2","deprecated":false,"id":"check_with_config/2","title":"check_with_config(conn, opts)"},{"anchor":"check_with_fun/2","deprecated":false,"id":"check_with_fun/2","title":"check_with_fun(conn, opts)"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.Plug.BasicAuthentication"},{"deprecated":false,"group":"","id":"Antikythera.Plug.ContentDecoding","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"decode/2","deprecated":false,"id":"decode/2","title":"decode(conn, opts)"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.Plug.ContentDecoding"},{"deprecated":false,"group":"","id":"Antikythera.Plug.Flash","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"load/2","deprecated":false,"id":"load/2","title":"load(conn, opts)"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.Plug.Flash"},{"deprecated":false,"group":"","id":"Antikythera.Plug.IpFiltering","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:arg_gear_config/0","deprecated":false,"id":"arg_gear_config/0","title":"arg_gear_config()"},{"anchor":"t:arg_static/0","deprecated":false,"id":"arg_static/0","title":"arg_static()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"check_by_gear_config/2","deprecated":false,"id":"check_by_gear_config/2","title":"check_by_gear_config(conn, opts)"},{"anchor":"check_by_static_ranges/2","deprecated":false,"id":"check_by_static_ranges/2","title":"check_by_static_ranges(conn, opts)"},{"anchor":"run_check_on_cloud/3","deprecated":false,"id":"run_check_on_cloud/3","title":"run_check_on_cloud(conn, opts, fun)"}]}],"sections":[{"anchor":"module-usage","id":"Usage"},{"anchor":"module-gear-to-gear-requests","id":"gear-to-gear requests"}],"title":"Antikythera.Plug.IpFiltering"},{"deprecated":false,"group":"","id":"Antikythera.Plug.NoCache","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"header_value/0","deprecated":false,"id":"header_value/0","title":"header_value()"},{"anchor":"put_resp_header/2","deprecated":false,"id":"put_resp_header/2","title":"put_resp_header(conn, opts)"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.Plug.NoCache"},{"deprecated":false,"group":"","id":"Antikythera.Plug.Session","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:load_option_t/0","deprecated":false,"id":"load_option_t/0","title":"load_option_t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"load/2","deprecated":false,"id":"load/2","title":"load(conn, opts)"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"Antikythera.Plug.Session"},{"deprecated":false,"group":"","id":"Antikythera.Registry","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:name/0","deprecated":false,"id":"name/0","title":"name()"}]}],"sections":[],"title":"Antikythera.Registry"},{"deprecated":false,"group":"","id":"Antikythera.Registry.Group","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"join/2","deprecated":false,"id":"join/2","title":"join(name, epool_id_or_context)"},{"anchor":"leave/2","deprecated":false,"id":"leave/2","title":"leave(name, epool_id_or_context)"},{"anchor":"publish/3","deprecated":false,"id":"publish/3","title":"publish(name, epool_id_or_context, message)"}]}],"sections":[],"title":"Antikythera.Registry.Group"},{"deprecated":false,"group":"","id":"Antikythera.Registry.Unique","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"register/2","deprecated":false,"id":"register/2","title":"register(name, epool_id_or_context)"},{"anchor":"send_message/3","deprecated":false,"id":"send_message/3","title":"send_message(name, epool_id_or_context, message)"}]}],"sections":[],"title":"Antikythera.Registry.Unique"},{"deprecated":false,"group":"","id":"Antikythera.Request","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"body/1","deprecated":false,"id":"body/1","title":"body(request)"},{"anchor":"body/2","deprecated":false,"id":"body/2","title":"body(s, field)"},{"anchor":"cookies/1","deprecated":false,"id":"cookies/1","title":"cookies(request)"},{"anchor":"cookies/2","deprecated":false,"id":"cookies/2","title":"cookies(s, field)"},{"anchor":"headers/1","deprecated":false,"id":"headers/1","title":"headers(request)"},{"anchor":"headers/2","deprecated":false,"id":"headers/2","title":"headers(s, field)"},{"anchor":"method/1","deprecated":false,"id":"method/1","title":"method(request)"},{"anchor":"method/2","deprecated":false,"id":"method/2","title":"method(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"path_info/1","deprecated":false,"id":"path_info/1","title":"path_info(request)"},{"anchor":"path_info/2","deprecated":false,"id":"path_info/2","title":"path_info(s, field)"},{"anchor":"path_matches/1","deprecated":false,"id":"path_matches/1","title":"path_matches(request)"},{"anchor":"path_matches/2","deprecated":false,"id":"path_matches/2","title":"path_matches(s, field)"},{"anchor":"query_params/1","deprecated":false,"id":"query_params/1","title":"query_params(request)"},{"anchor":"query_params/2","deprecated":false,"id":"query_params/2","title":"query_params(s, field)"},{"anchor":"raw_body/1","deprecated":false,"id":"raw_body/1","title":"raw_body(request)"},{"anchor":"raw_body/2","deprecated":false,"id":"raw_body/2","title":"raw_body(s, field)"},{"anchor":"sender/1","deprecated":false,"id":"sender/1","title":"sender(request)"},{"anchor":"sender/2","deprecated":false,"id":"sender/2","title":"sender(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"Antikythera.Request"},{"deprecated":false,"group":"","id":"Antikythera.Request.PathMatches","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Request.PathMatches"},{"deprecated":false,"group":"","id":"Antikythera.Request.Sender","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:sender_ip/0","deprecated":false,"id":"sender_ip/0","title":"sender_ip()"},{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Request.Sender"},{"deprecated":false,"group":"","id":"Antikythera.Router","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"connect/4","deprecated":false,"id":"connect/4","title":"connect(path, controller, action, opts \\\\ [])"},{"anchor":"delete/4","deprecated":false,"id":"delete/4","title":"delete(path, controller, action, opts \\\\ [])"},{"anchor":"fully_qualified_controller_module/3","deprecated":false,"id":"fully_qualified_controller_module/3","title":"fully_qualified_controller_module(router_module, controller, opts)"},{"anchor":"get/4","deprecated":false,"id":"get/4","title":"get(path, controller, action, opts \\\\ [])"},{"anchor":"head/4","deprecated":false,"id":"head/4","title":"head(path, controller, action, opts \\\\ [])"},{"anchor":"only_from_gear/1","deprecated":false,"id":"only_from_gear/1","title":"only_from_gear(list)"},{"anchor":"only_from_web/1","deprecated":false,"id":"only_from_web/1","title":"only_from_web(list)"},{"anchor":"options/4","deprecated":false,"id":"options/4","title":"options(path, controller, action, opts \\\\ [])"},{"anchor":"patch/4","deprecated":false,"id":"patch/4","title":"patch(path, controller, action, opts \\\\ [])"},{"anchor":"post/4","deprecated":false,"id":"post/4","title":"post(path, controller, action, opts \\\\ [])"},{"anchor":"put/4","deprecated":false,"id":"put/4","title":"put(path, controller, action, opts \\\\ [])"},{"anchor":"static_prefix/1","deprecated":false,"id":"static_prefix/1","title":"static_prefix(prefix)"},{"anchor":"trace/4","deprecated":false,"id":"trace/4","title":"trace(path, controller, action, opts \\\\ [])"},{"anchor":"websocket/2","deprecated":false,"id":"websocket/2","title":"websocket(path, opts \\\\ [])"}]}],"sections":[{"anchor":"module-routing-macros","id":"Routing macros"},{"anchor":"module-example","id":"Example"},{"anchor":"module-websocket-endpoint","id":"Websocket endpoint"},{"anchor":"module-static-file-serving","id":"Static file serving"},{"anchor":"module-web-requests-and-gear-to-gear-g2g-requests","id":"Web requests and gear-to-gear (g2g) requests"},{"anchor":"module-reverse-routing","id":"Reverse routing"},{"anchor":"module-per-api-timeout","id":"Per-API timeout"}],"title":"Antikythera.Router"},{"deprecated":false,"group":"","id":"Antikythera.Router.Impl","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"check_path_pattern/1","deprecated":false,"id":"check_path_pattern/1","title":"check_path_pattern(path_pattern)"},{"anchor":"generate_route_function_clauses/3","deprecated":false,"id":"generate_route_function_clauses/3","title":"generate_route_function_clauses(router_module, from, routing_source)"},{"anchor":"route_clause_body/5","deprecated":false,"id":"route_clause_body/5","title":"route_clause_body(controller, action, path_matches, websocket?, timeout \\\\ GearActionTimeout.default())"}]}],"sections":[],"title":"Antikythera.Router.Impl"},{"deprecated":false,"group":"","id":"Antikythera.Router.Reverse","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"define_path_helper/2","deprecated":false,"id":"define_path_helper/2","title":"define_path_helper(path_name, path)"},{"anchor":"make_path/3","deprecated":false,"id":"make_path/3","title":"make_path(path_pattern, fillers, query_params)"}]}],"sections":[],"title":"Antikythera.Router.Reverse"},{"deprecated":false,"group":"","id":"Antikythera.SecondsSinceEpoch","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"min/0","deprecated":false,"id":"min/0","title":"min()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.SecondsSinceEpoch"},{"deprecated":false,"group":"","id":"Antikythera.Session","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"clear/1","deprecated":false,"id":"clear/1","title":"clear(session)"},{"anchor":"data/1","deprecated":false,"id":"data/1","title":"data(session)"},{"anchor":"data/2","deprecated":false,"id":"data/2","title":"data(s, field)"},{"anchor":"delete/2","deprecated":false,"id":"delete/2","title":"delete(session, key)"},{"anchor":"destroy/1","deprecated":false,"id":"destroy/1","title":"destroy(session)"},{"anchor":"get/2","deprecated":false,"id":"get/2","title":"get(arg0, key)"},{"anchor":"id/1","deprecated":false,"id":"id/1","title":"id(session)"},{"anchor":"id/2","deprecated":false,"id":"id/2","title":"id(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"put/3","deprecated":false,"id":"put/3","title":"put(session, key, value)"},{"anchor":"renew/1","deprecated":false,"id":"renew/1","title":"renew(session)"},{"anchor":"state/1","deprecated":false,"id":"state/1","title":"state(session)"},{"anchor":"state/2","deprecated":false,"id":"state/2","title":"state(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"Antikythera.Session"},{"deprecated":false,"group":"","id":"Antikythera.Session.Cookie","sections":[],"title":"Antikythera.Session.Cookie"},{"deprecated":false,"group":"","id":"Antikythera.Session.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"},{"anchor":"values/0","deprecated":false,"id":"values/0","title":"values()"}]}],"sections":[],"title":"Antikythera.Session.State"},{"deprecated":false,"group":"","id":"Antikythera.Session.Store","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:session_id/0","deprecated":false,"id":"session_id/0","title":"session_id()"},{"anchor":"t:session_kv/0","deprecated":false,"id":"session_kv/0","title":"session_kv()"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:delete/1","deprecated":false,"id":"delete/1","title":"delete(session_id)"},{"anchor":"c:load/1","deprecated":false,"id":"load/1","title":"load(session_id)"},{"anchor":"c:save/2","deprecated":false,"id":"save/2","title":"save(session_id, session_kv)"}]}],"sections":[],"title":"Antikythera.Session.Store"},{"deprecated":false,"group":"","id":"Antikythera.StringFormat","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"pad2/1","deprecated":false,"id":"pad2/1","title":"pad2(int)"},{"anchor":"pad3/1","deprecated":false,"id":"pad3/1","title":"pad3(int)"}]}],"sections":[],"title":"Antikythera.StringFormat"},{"deprecated":false,"group":"","id":"Antikythera.TemplatePrecompiler","sections":[],"title":"Antikythera.TemplatePrecompiler"},{"deprecated":false,"group":"","id":"Antikythera.TemplateSanitizer","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:safe/0","deprecated":false,"id":"safe/0","title":"safe()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"html_escape/1","deprecated":false,"id":"html_escape/1","title":"html_escape(str)"},{"anchor":"raw/1","deprecated":false,"id":"raw/1","title":"raw(data)"}]}],"sections":[],"title":"Antikythera.TemplateSanitizer"},{"deprecated":false,"group":"","id":"Antikythera.TenantId","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"notenant/0","deprecated":false,"id":"notenant/0","title":"notenant()"},{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.TenantId"},{"deprecated":false,"group":"","id":"Antikythera.TermUtil","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"size/1","deprecated":false,"id":"size/1","title":"size(term)"},{"anchor":"size_smaller_or_equal?/2","deprecated":false,"id":"size_smaller_or_equal?/2","title":"size_smaller_or_equal?(term, limit)"}]}],"sections":[],"title":"Antikythera.TermUtil"},{"deprecated":false,"group":"","id":"Antikythera.Test.AsyncJobHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"reset_rate_limit_status/1","deprecated":false,"id":"reset_rate_limit_status/1","title":"reset_rate_limit_status(epool_id)"}]}],"sections":[],"title":"Antikythera.Test.AsyncJobHelper"},{"deprecated":false,"group":"","id":"Antikythera.Test.Config","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"base_url/0","deprecated":false,"id":"base_url/0","title":"base_url()"},{"anchor":"blackbox_test?/0","deprecated":false,"id":"blackbox_test?/0","title":"blackbox_test?()"},{"anchor":"blackbox_test_secret/0","deprecated":false,"id":"blackbox_test_secret/0","title":"blackbox_test_secret()"},{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"},{"anchor":"test_mode/0","deprecated":false,"id":"test_mode/0","title":"test_mode()"},{"anchor":"whitebox_test_secret/0","deprecated":false,"id":"whitebox_test_secret/0","title":"whitebox_test_secret()"}]}],"sections":[],"title":"Antikythera.Test.Config"},{"deprecated":false,"group":"","id":"Antikythera.Test.ConnHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make_conn/1","deprecated":false,"id":"make_conn/1","title":"make_conn(opts0 \\\\ %{})"}]}],"sections":[],"title":"Antikythera.Test.ConnHelper"},{"deprecated":false,"group":"","id":"Antikythera.Test.GearConfigHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"set_config/2","deprecated":false,"id":"set_config/2","title":"set_config(gear_name \\\\ Mix.Project.config()[:app], kv)"}]}],"sections":[],"title":"Antikythera.Test.GearConfigHelper"},{"deprecated":false,"group":"","id":"Antikythera.Test.GearLogHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"set_context_id/1","deprecated":false,"id":"set_context_id/1","title":"set_context_id(conn_or_context_or_nil \\\\ nil)"}]}],"sections":[],"title":"Antikythera.Test.GearLogHelper"},{"deprecated":false,"group":"","id":"Antikythera.Test.GenServerHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"receive_cast_message/0","deprecated":false,"id":"receive_cast_message/0","title":"receive_cast_message()"},{"anchor":"send_message_and_wait/2","deprecated":false,"id":"send_message_and_wait/2","title":"send_message_and_wait(server, message)"}]}],"sections":[],"title":"Antikythera.Test.GenServerHelper"},{"deprecated":false,"group":"","id":"Antikythera.Test.HttpClient","sections":[],"title":"Antikythera.Test.HttpClient"},{"deprecated":false,"group":"","id":"Antikythera.Test.ProcessHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"flush/0","deprecated":false,"id":"flush/0","title":"flush()"},{"anchor":"monitor_wait/1","deprecated":false,"id":"monitor_wait/1","title":"monitor_wait(pid_or_regname)"}]}],"sections":[],"title":"Antikythera.Test.ProcessHelper"},{"deprecated":false,"group":"","id":"Antikythera.Test.WebsocketClient","sections":[],"title":"Antikythera.Test.WebsocketClient"},{"deprecated":false,"group":"","id":"Antikythera.Time","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"diff_milliseconds/2","deprecated":false,"id":"diff_milliseconds/2","title":"diff_milliseconds(t1, t2)"},{"anchor":"from_epoch_milliseconds/1","deprecated":false,"id":"from_epoch_milliseconds/1","title":"from_epoch_milliseconds(milliseconds)"},{"anchor":"from_gregorian_milliseconds/1","deprecated":false,"id":"from_gregorian_milliseconds/1","title":"from_gregorian_milliseconds(milliseconds)"},{"anchor":"from_http_date/1","deprecated":false,"id":"from_http_date/1","title":"from_http_date(s)"},{"anchor":"from_http_date!/1","deprecated":false,"id":"from_http_date!/1","title":"from_http_date!(arg0)"},{"anchor":"from_iso_basic/1","deprecated":false,"id":"from_iso_basic/1","title":"from_iso_basic(s)"},{"anchor":"from_iso_basic!/1","deprecated":false,"id":"from_iso_basic!/1","title":"from_iso_basic!(arg0)"},{"anchor":"from_iso_timestamp/1","deprecated":false,"id":"from_iso_timestamp/1","title":"from_iso_timestamp(s)"},{"anchor":"from_iso_timestamp!/1","deprecated":false,"id":"from_iso_timestamp!/1","title":"from_iso_timestamp!(arg0)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(arg0)"},{"anchor":"now/0","deprecated":false,"id":"now/0","title":"now()"},{"anchor":"shift_days/2","deprecated":false,"id":"shift_days/2","title":"shift_days(t, days)"},{"anchor":"shift_hours/2","deprecated":false,"id":"shift_hours/2","title":"shift_hours(t, hours)"},{"anchor":"shift_milliseconds/2","deprecated":false,"id":"shift_milliseconds/2","title":"shift_milliseconds(t, milliseconds)"},{"anchor":"shift_minutes/2","deprecated":false,"id":"shift_minutes/2","title":"shift_minutes(t, minutes)"},{"anchor":"shift_seconds/2","deprecated":false,"id":"shift_seconds/2","title":"shift_seconds(t, seconds)"},{"anchor":"to_epoch_milliseconds/1","deprecated":false,"id":"to_epoch_milliseconds/1","title":"to_epoch_milliseconds(t)"},{"anchor":"to_gregorian_milliseconds/1","deprecated":false,"id":"to_gregorian_milliseconds/1","title":"to_gregorian_milliseconds(arg0)"},{"anchor":"to_http_date/1","deprecated":false,"id":"to_http_date/1","title":"to_http_date(arg0)"},{"anchor":"to_iso_basic/1","deprecated":false,"id":"to_iso_basic/1","title":"to_iso_basic(arg0)"},{"anchor":"to_iso_timestamp/1","deprecated":false,"id":"to_iso_timestamp/1","title":"to_iso_timestamp(arg0)"},{"anchor":"truncate_to_day/1","deprecated":false,"id":"truncate_to_day/1","title":"truncate_to_day(arg0)"},{"anchor":"truncate_to_hour/1","deprecated":false,"id":"truncate_to_hour/1","title":"truncate_to_hour(arg0)"},{"anchor":"truncate_to_minute/1","deprecated":false,"id":"truncate_to_minute/1","title":"truncate_to_minute(arg0)"},{"anchor":"truncate_to_second/1","deprecated":false,"id":"truncate_to_second/1","title":"truncate_to_second(arg0)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Time"},{"deprecated":false,"group":"","id":"Antikythera.Tmpdir","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make/2","deprecated":false,"id":"make/2","title":"make(context_or_epool_id, f)"}]}],"sections":[],"title":"Antikythera.Tmpdir"},{"deprecated":false,"group":"","id":"Antikythera.TokenBucket","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"take/5","deprecated":false,"id":"take/5","title":"take(epool_id, bucket, milliseconds_per_token, max_tokens, tokens_to_take \\\\ 1)"}]}],"sections":[],"title":"Antikythera.TokenBucket"},{"deprecated":false,"group":"","id":"Antikythera.UnencodedPath","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"segment_charclass/0","deprecated":false,"id":"segment_charclass/0","title":"segment_charclass()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.UnencodedPath"},{"deprecated":false,"group":"","id":"Antikythera.Url","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Url"},{"deprecated":false,"group":"","id":"Antikythera.VersionStr","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"pattern/0","deprecated":false,"id":"pattern/0","title":"pattern()"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"Antikythera.VersionStr"},{"deprecated":false,"group":"","id":"Antikythera.View.Unit","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"bytes/1","deprecated":false,"id":"bytes/1","title":"bytes(n)"}]}],"sections":[],"title":"Antikythera.View.Unit"},{"deprecated":false,"group":"","id":"Antikythera.Websocket","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:callback_result/0","deprecated":false,"id":"callback_result/0","title":"callback_result()"},{"anchor":"t:state/0","deprecated":false,"id":"state/0","title":"state()"},{"anchor":"t:terminate_reason/0","deprecated":false,"id":"terminate_reason/0","title":"terminate_reason()"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:connect/1","deprecated":false,"id":"connect/1","title":"connect(t)"},{"anchor":"c:handle_client_message/3","deprecated":false,"id":"handle_client_message/3","title":"handle_client_message(state, t, t)"},{"anchor":"c:handle_server_message/3","deprecated":false,"id":"handle_server_message/3","title":"handle_server_message(state, t, any)"},{"anchor":"c:init/1","deprecated":false,"id":"init/1","title":"init(t)"},{"anchor":"c:terminate/3","deprecated":false,"id":"terminate/3","title":"terminate(state, t, terminate_reason)"}]}],"sections":[{"anchor":"module-example","id":"Example"},{"anchor":"module-name-registration","id":"Name registration"}],"title":"Antikythera.Websocket"},{"deprecated":false,"group":"","id":"Antikythera.Websocket.Frame","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:close_code/0","deprecated":false,"id":"close_code/0","title":"close_code()"},{"anchor":"t:close_payload/0","deprecated":false,"id":"close_payload/0","title":"close_payload()"},{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Websocket.Frame"},{"deprecated":false,"group":"","id":"Antikythera.Websocket.FrameList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"Antikythera.Websocket.FrameList"},{"deprecated":false,"group":"","id":"Antikythera.Xml","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:decode_option/0","deprecated":false,"id":"decode_option/0","title":"decode_option()"},{"anchor":"t:encode_option/0","deprecated":false,"id":"encode_option/0","title":"encode_option()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"decode/2","deprecated":false,"id":"decode/2","title":"decode(xml_string, opts \\\\ [])"},{"anchor":"decode!/1","deprecated":false,"id":"decode!/1","title":"decode!(arg0)"},{"anchor":"decode!/2","deprecated":false,"id":"decode!/2","title":"decode!(arg0, arg1)"},{"anchor":"encode/2","deprecated":false,"id":"encode/2","title":"encode(xml_element, opts \\\\ [])"}]}],"sections":[{"anchor":"module-access-behaviour","id":"Access behaviour"}],"title":"Antikythera.Xml"},{"deprecated":false,"group":"","id":"Antikythera.Xml.Content","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(v)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(v)"}]}],"sections":[],"title":"Antikythera.Xml.Content"},{"deprecated":false,"group":"","id":"Antikythera.Xml.Element","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"attributes/1","deprecated":false,"id":"attributes/1","title":"attributes(element)"},{"anchor":"attributes/2","deprecated":false,"id":"attributes/2","title":"attributes(s, field)"},{"anchor":"children/1","deprecated":false,"id":"children/1","title":"children(element)"},{"anchor":"children/2","deprecated":false,"id":"children/2","title":"children(s, field)"},{"anchor":"name/1","deprecated":false,"id":"name/1","title":"name(element)"},{"anchor":"name/2","deprecated":false,"id":"name/2","title":"name(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"Antikythera.Xml.Element"},{"deprecated":false,"group":"","id":"AntikytheraCore","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"add_translator_to_logger/0","deprecated":false,"id":"add_translator_to_logger/0","title":"add_translator_to_logger()"},{"anchor":"start/2","deprecated":false,"id":"start/2","title":"start(type, args)"}]}],"sections":[],"title":"AntikytheraCore"},{"deprecated":false,"group":"","id":"AntikytheraCore.Alert.ErrorCountReporter","sections":[],"title":"AntikytheraCore.Alert.ErrorCountReporter"},{"deprecated":false,"group":"","id":"AntikytheraCore.Alert.Handler","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:send_alerts/3","deprecated":false,"id":"send_alerts/3","title":"send_alerts(messages, handler_config, otp_app_name)"},{"anchor":"c:validate_config/1","deprecated":false,"id":"validate_config/1","title":"validate_config(handler_config)"}]}],"sections":[{"anchor":"module-customization-and-installation-of-handlers","id":"Customization and installation of handlers"}],"title":"AntikytheraCore.Alert.Handler"},{"deprecated":false,"group":"","id":"AntikytheraCore.Alert.Handler.Email","sections":[{"anchor":"module-handler-config","id":"Handler config"}],"title":"AntikytheraCore.Alert.Handler.Email"},{"deprecated":false,"group":"","id":"AntikytheraCore.Alert.HandlerConfig","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"get/2","deprecated":false,"id":"get/2","title":"get(handler, otp_app_name)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"AntikytheraCore.Alert.HandlerConfig"},{"deprecated":false,"group":"","id":"AntikytheraCore.Alert.HandlerConfigsMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"get/1","deprecated":false,"id":"get/1","title":"get(otp_app_name)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"AntikytheraCore.Alert.HandlerConfigsMap"},{"deprecated":false,"group":"","id":"AntikytheraCore.Alert.HandlerState","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"busy?/1","deprecated":false,"id":"busy?/1","title":"busy?(handler_state)"},{"anchor":"busy?/2","deprecated":false,"id":"busy?/2","title":"busy?(s, field)"},{"anchor":"handler_module/1","deprecated":false,"id":"handler_module/1","title":"handler_module(handler_state)"},{"anchor":"handler_module/2","deprecated":false,"id":"handler_module/2","title":"handler_module(s, field)"},{"anchor":"message_buffer/1","deprecated":false,"id":"message_buffer/1","title":"message_buffer(handler_state)"},{"anchor":"message_buffer/2","deprecated":false,"id":"message_buffer/2","title":"message_buffer(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"otp_app_name/1","deprecated":false,"id":"otp_app_name/1","title":"otp_app_name(handler_state)"},{"anchor":"otp_app_name/2","deprecated":false,"id":"otp_app_name/2","title":"otp_app_name(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraCore.Alert.HandlerState"},{"deprecated":false,"group":"","id":"AntikytheraCore.Alert.LoggerBackend","sections":[],"title":"AntikytheraCore.Alert.LoggerBackend"},{"deprecated":false,"group":"","id":"AntikytheraCore.Alert.Manager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(args)"},{"anchor":"notify/3","deprecated":false,"id":"notify/3","title":"notify(manager, body, time \\\\ Time.now())"},{"anchor":"schedule_handler_timeout/2","deprecated":false,"id":"schedule_handler_timeout/2","title":"schedule_handler_timeout(handler, interval)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"},{"anchor":"update_handler_installations/2","deprecated":false,"id":"update_handler_installations/2","title":"update_handler_installations(otp_app_name, configs_map)"}]}],"sections":[],"title":"AntikytheraCore.Alert.Manager"},{"deprecated":false,"group":"","id":"AntikytheraCore.Alert.Message","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"AntikytheraCore.Alert.Message"},{"deprecated":false,"group":"","id":"AntikytheraCore.AsyncJob","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"attempts/1","deprecated":false,"id":"attempts/1","title":"attempts(async_job)"},{"anchor":"attempts/2","deprecated":false,"id":"attempts/2","title":"attempts(s, field)"},{"anchor":"compute_retry_interval/1","deprecated":false,"id":"compute_retry_interval/1","title":"compute_retry_interval(arg0)"},{"anchor":"gear_name/1","deprecated":false,"id":"gear_name/1","title":"gear_name(async_job)"},{"anchor":"gear_name/2","deprecated":false,"id":"gear_name/2","title":"gear_name(s, field)"},{"anchor":"max_duration/1","deprecated":false,"id":"max_duration/1","title":"max_duration(async_job)"},{"anchor":"max_duration/2","deprecated":false,"id":"max_duration/2","title":"max_duration(s, field)"},{"anchor":"max_start_time_from_now/0","deprecated":false,"id":"max_start_time_from_now/0","title":"max_start_time_from_now()"},{"anchor":"module/1","deprecated":false,"id":"module/1","title":"module(async_job)"},{"anchor":"module/2","deprecated":false,"id":"module/2","title":"module(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"payload/1","deprecated":false,"id":"payload/1","title":"payload(async_job)"},{"anchor":"payload/2","deprecated":false,"id":"payload/2","title":"payload(s, field)"},{"anchor":"register/5","deprecated":false,"id":"register/5","title":"register(gear_name, module, payload, context_or_epool_id, options)"},{"anchor":"remaining_attempts/1","deprecated":false,"id":"remaining_attempts/1","title":"remaining_attempts(async_job)"},{"anchor":"remaining_attempts/2","deprecated":false,"id":"remaining_attempts/2","title":"remaining_attempts(s, field)"},{"anchor":"retry_interval/1","deprecated":false,"id":"retry_interval/1","title":"retry_interval(async_job)"},{"anchor":"retry_interval/2","deprecated":false,"id":"retry_interval/2","title":"retry_interval(s, field)"},{"anchor":"schedule/1","deprecated":false,"id":"schedule/1","title":"schedule(async_job)"},{"anchor":"schedule/2","deprecated":false,"id":"schedule/2","title":"schedule(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob"},{"deprecated":false,"group":"","id":"AntikytheraCore.AsyncJob.Queue","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"abandoned_jobs/1","deprecated":false,"id":"abandoned_jobs/1","title":"abandoned_jobs(queue)"},{"anchor":"abandoned_jobs/2","deprecated":false,"id":"abandoned_jobs/2","title":"abandoned_jobs(s, field)"},{"anchor":"add_job/5","deprecated":false,"id":"add_job/5","title":"add_job(queue_name, job_id, job, start_time_millis, now_millis)"},{"anchor":"brokers_to_notify/1","deprecated":false,"id":"brokers_to_notify/1","title":"brokers_to_notify(queue)"},{"anchor":"brokers_to_notify/2","deprecated":false,"id":"brokers_to_notify/2","title":"brokers_to_notify(s, field)"},{"anchor":"brokers_waiting/1","deprecated":false,"id":"brokers_waiting/1","title":"brokers_waiting(queue)"},{"anchor":"brokers_waiting/2","deprecated":false,"id":"brokers_waiting/2","title":"brokers_waiting(s, field)"},{"anchor":"cancel/2","deprecated":false,"id":"cancel/2","title":"cancel(queue_name, job_id)"},{"anchor":"fetch_job/1","deprecated":false,"id":"fetch_job/1","title":"fetch_job(queue_name)"},{"anchor":"index_runnable/1","deprecated":false,"id":"index_runnable/1","title":"index_runnable(queue)"},{"anchor":"index_runnable/2","deprecated":false,"id":"index_runnable/2","title":"index_runnable(s, field)"},{"anchor":"index_running/1","deprecated":false,"id":"index_running/1","title":"index_running(queue)"},{"anchor":"index_running/2","deprecated":false,"id":"index_running/2","title":"index_running(s, field)"},{"anchor":"index_waiting/1","deprecated":false,"id":"index_waiting/1","title":"index_waiting(queue)"},{"anchor":"index_waiting/2","deprecated":false,"id":"index_waiting/2","title":"index_waiting(s, field)"},{"anchor":"jobs/1","deprecated":false,"id":"jobs/1","title":"jobs(queue)"},{"anchor":"jobs/2","deprecated":false,"id":"jobs/2","title":"jobs(s, field)"},{"anchor":"list/1","deprecated":false,"id":"list/1","title":"list(queue_name)"},{"anchor":"make_rv_config/1","deprecated":false,"id":"make_rv_config/1","title":"make_rv_config(opts \\\\ [leader_hook_module: AntikytheraCore.AsyncJob.Queue.Hook, heartbeat_timeout: 1000, election_timeout: 5000, election_timeout_clock_drift_margin: 500])"},{"anchor":"max_jobs/0","deprecated":false,"id":"max_jobs/0","title":"max_jobs()"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"remove_broker_from_waiting_list/1","deprecated":false,"id":"remove_broker_from_waiting_list/1","title":"remove_broker_from_waiting_list(queue_name)"},{"anchor":"remove_locked_job/2","deprecated":false,"id":"remove_locked_job/2","title":"remove_locked_job(queue_name, job_key)"},{"anchor":"start_jobs_and_get_metrics/1","deprecated":false,"id":"start_jobs_and_get_metrics/1","title":"start_jobs_and_get_metrics(pid)"},{"anchor":"status/2","deprecated":false,"id":"status/2","title":"status(queue_name, job_id)"},{"anchor":"unlock_job_for_retry/2","deprecated":false,"id":"unlock_job_for_retry/2","title":"unlock_job_for_retry(queue_name, job_key)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue"},{"deprecated":false,"group":"","id":"AntikytheraCore.AsyncJob.Queue.Hook","sections":[],"title":"AntikytheraCore.AsyncJob.Queue.Hook"},{"deprecated":false,"group":"","id":"AntikytheraCore.AsyncJob.Queue.IdJobPair","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue.IdJobPair"},{"deprecated":false,"group":"","id":"AntikytheraCore.AsyncJob.Queue.JobKey","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue.JobKey"},{"deprecated":false,"group":"","id":"AntikytheraCore.AsyncJob.Queue.JobsMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue.JobsMap"},{"deprecated":false,"group":"","id":"AntikytheraCore.AsyncJob.Queue.JobsMap.Triplet","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue.JobsMap.Triplet"},{"deprecated":false,"group":"","id":"AntikytheraCore.AsyncJob.Queue.SecondaryIndex","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(s)"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.Queue.SecondaryIndex"},{"deprecated":false,"group":"","id":"AntikytheraCore.AsyncJob.RaftPerMemberOptionsMaker","sections":[],"title":"AntikytheraCore.AsyncJob.RaftPerMemberOptionsMaker"},{"deprecated":false,"group":"","id":"AntikytheraCore.AsyncJob.RaftedValueConfigMaker","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"options/0","deprecated":false,"id":"options/0","title":"options()"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.RaftedValueConfigMaker"},{"deprecated":false,"group":"","id":"AntikytheraCore.AsyncJob.RateLimit","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"check_for_command/1","deprecated":false,"id":"check_for_command/1","title":"check_for_command(queue_name)"},{"anchor":"check_with_retry_for_query/3","deprecated":false,"id":"check_with_retry_for_query/3","title":"check_with_retry_for_query(queue_name, f, attempts \\\\ 0)"},{"anchor":"max_tokens/0","deprecated":false,"id":"max_tokens/0","title":"max_tokens()"},{"anchor":"milliseconds_per_token/0","deprecated":false,"id":"milliseconds_per_token/0","title":"milliseconds_per_token()"},{"anchor":"tokens_per_command/0","deprecated":false,"id":"tokens_per_command/0","title":"tokens_per_command()"}]}],"sections":[],"title":"AntikytheraCore.AsyncJob.RateLimit"},{"deprecated":false,"group":"","id":"AntikytheraCore.Cluster","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"connect_to_other_nodes/1","deprecated":false,"id":"connect_to_other_nodes/1","title":"connect_to_other_nodes(running_hosts_map)"},{"anchor":"connect_to_other_nodes_on_start/0","deprecated":false,"id":"connect_to_other_nodes_on_start/0","title":"connect_to_other_nodes_on_start()"},{"anchor":"node_to_host/1","deprecated":false,"id":"node_to_host/1","title":"node_to_host(n)"}]}],"sections":[],"title":"AntikytheraCore.Cluster"},{"deprecated":false,"group":"","id":"AntikytheraCore.Cluster.NodeId","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"get/0","deprecated":false,"id":"get/0","title":"get()"},{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"}]}],"sections":[],"title":"AntikytheraCore.Cluster.NodeId"},{"deprecated":false,"group":"","id":"AntikytheraCore.ClusterHostsPoller","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"current_hosts/0","deprecated":false,"id":"current_hosts/0","title":"current_hosts()"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.ClusterHostsPoller"},{"deprecated":false,"group":"","id":"AntikytheraCore.ClusterHostsPoller.Fetcher","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/0","deprecated":false,"id":"run/0","title":"run()"}]}],"sections":[],"title":"AntikytheraCore.ClusterHostsPoller.Fetcher"},{"deprecated":false,"group":"","id":"AntikytheraCore.ClusterNodesConnector","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.ClusterNodesConnector"},{"deprecated":false,"group":"","id":"AntikytheraCore.Cmd","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"hostname/0","deprecated":false,"id":"hostname/0","title":"hostname()"}]}],"sections":[],"title":"AntikytheraCore.Cmd"},{"deprecated":false,"group":"","id":"AntikytheraCore.Config.Core","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"dump_from_env_to_file/0","deprecated":false,"id":"dump_from_env_to_file/0","title":"dump_from_env_to_file()"},{"anchor":"load/1","deprecated":false,"id":"load/1","title":"load(last_changed_at \\\\ 0)"},{"anchor":"write/1","deprecated":false,"id":"write/1","title":"write(config)"}]}],"sections":[],"title":"AntikytheraCore.Config.Core"},{"deprecated":false,"group":"","id":"AntikytheraCore.Config.EncryptionKey","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"get/0","deprecated":false,"id":"get/0","title":"get()"},{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"}]}],"sections":[],"title":"AntikytheraCore.Config.EncryptionKey"},{"deprecated":false,"group":"","id":"AntikytheraCore.Config.Gear","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"alerts/1","deprecated":false,"id":"alerts/1","title":"alerts(gear)"},{"anchor":"alerts/2","deprecated":false,"id":"alerts/2","title":"alerts(s, field)"},{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"domains/1","deprecated":false,"id":"domains/1","title":"domains(gear)"},{"anchor":"domains/2","deprecated":false,"id":"domains/2","title":"domains(s, field)"},{"anchor":"dump_all_from_env_to_file/0","deprecated":false,"id":"dump_all_from_env_to_file/0","title":"dump_all_from_env_to_file()"},{"anchor":"ensure_loaded/1","deprecated":false,"id":"ensure_loaded/1","title":"ensure_loaded(gear_name)"},{"anchor":"internal_kv/1","deprecated":false,"id":"internal_kv/1","title":"internal_kv(gear)"},{"anchor":"internal_kv/2","deprecated":false,"id":"internal_kv/2","title":"internal_kv(s, field)"},{"anchor":"kv/1","deprecated":false,"id":"kv/1","title":"kv(gear)"},{"anchor":"kv/2","deprecated":false,"id":"kv/2","title":"kv(s, field)"},{"anchor":"load_all/1","deprecated":false,"id":"load_all/1","title":"load_all(last_checked_at)"},{"anchor":"log_level/1","deprecated":false,"id":"log_level/1","title":"log_level(gear)"},{"anchor":"log_level/2","deprecated":false,"id":"log_level/2","title":"log_level(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"read/1","deprecated":false,"id":"read/1","title":"read(gear_name)"},{"anchor":"read_all/0","deprecated":false,"id":"read_all/0","title":"read_all()"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"},{"anchor":"write/2","deprecated":false,"id":"write/2","title":"write(gear_name, config)"}]}],"sections":[],"title":"AntikytheraCore.Config.Gear"},{"deprecated":false,"group":"","id":"AntikytheraCore.Config.Gear.CustomDomainList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"max_length/0","deprecated":false,"id":"max_length/0","title":"max_length()"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"AntikytheraCore.Config.Gear.CustomDomainList"},{"deprecated":false,"group":"","id":"AntikytheraCore.Conn","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"gear_name/1","deprecated":false,"id":"gear_name/1","title":"gear_name(arg0)"},{"anchor":"make_from_cowboy_req/4","deprecated":false,"id":"make_from_cowboy_req/4","title":"make_from_cowboy_req(req, arg, qparams, body_pair)"},{"anchor":"make_from_g2g_req_and_context/6","deprecated":false,"id":"make_from_g2g_req_and_context/6","title":"make_from_g2g_req_and_context(g2g_request, context, receiver_name, entry_point, path_info, path_matches)"},{"anchor":"reply_as_cowboy_res/2","deprecated":false,"id":"reply_as_cowboy_res/2","title":"reply_as_cowboy_res(conn, req)"},{"anchor":"reply_as_g2g_res/1","deprecated":false,"id":"reply_as_g2g_res/1","title":"reply_as_g2g_res(conn)"},{"anchor":"request_info/1","deprecated":false,"id":"request_info/1","title":"request_info(arg0)"},{"anchor":"run_before_send/2","deprecated":false,"id":"run_before_send/2","title":"run_before_send(conn, conn_before_action)"},{"anchor":"validate/1","deprecated":false,"id":"validate/1","title":"validate(arg0)"}]}],"sections":[],"title":"AntikytheraCore.Conn"},{"deprecated":false,"group":"","id":"AntikytheraCore.Context","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make/4","deprecated":false,"id":"make/4","title":"make(gear_name, entry_point, context_id \\\\ nil, epool_id \\\\ nil)"},{"anchor":"make_context_id/1","deprecated":false,"id":"make_context_id/1","title":"make_context_id(t)"},{"anchor":"make_context_id/2","deprecated":false,"id":"make_context_id/2","title":"make_context_id(t, node_id)"}]}],"sections":[],"title":"AntikytheraCore.Context"},{"deprecated":false,"group":"","id":"AntikytheraCore.Cookies","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make_from_cowboy_req/1","deprecated":false,"id":"make_from_cowboy_req/1","title":"make_from_cowboy_req(req)"},{"anchor":"merge_cookies_to_cowboy_req/2","deprecated":false,"id":"merge_cookies_to_cowboy_req/2","title":"merge_cookies_to_cowboy_req(cookies, req0)"}]}],"sections":[],"title":"AntikytheraCore.Cookies"},{"deprecated":false,"group":"","id":"AntikytheraCore.CoreConfigPoller","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.CoreConfigPoller"},{"deprecated":false,"group":"","id":"AntikytheraCore.ErlangLogTranslator","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"translate/4","deprecated":false,"id":"translate/4","title":"translate(min_level, level, kind, message)"}]}],"sections":[],"title":"AntikytheraCore.ErlangLogTranslator"},{"deprecated":false,"group":"","id":"AntikytheraCore.ErrorCountsAccumulator","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:results/0","deprecated":false,"id":"results/0","title":"results()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"get/1","deprecated":false,"id":"get/1","title":"get(otp_app_name)"},{"anchor":"get_total/0","deprecated":false,"id":"get_total/0","title":"get_total()"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"},{"anchor":"submit/2","deprecated":false,"id":"submit/2","title":"submit(otp_app_name, count)"}]}],"sections":[],"title":"AntikytheraCore.ErrorCountsAccumulator"},{"deprecated":false,"group":"","id":"AntikytheraCore.ErrorCountsAccumulator.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:results/0","deprecated":false,"id":"results/0","title":"results()"},{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"add/3","deprecated":false,"id":"add/3","title":"add(state, otp_app_name, count)"},{"anchor":"advance_to_next_minute/2","deprecated":false,"id":"advance_to_next_minute/2","title":"advance_to_next_minute(arg0, now)"},{"anchor":"counts/1","deprecated":false,"id":"counts/1","title":"counts(state)"},{"anchor":"counts/2","deprecated":false,"id":"counts/2","title":"counts(s, field)"},{"anchor":"get/2","deprecated":false,"id":"get/2","title":"get(arg0, otp_app_name)"},{"anchor":"get_total/1","deprecated":false,"id":"get_total/1","title":"get_total(arg0)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"now_minute/1","deprecated":false,"id":"now_minute/1","title":"now_minute(state)"},{"anchor":"now_minute/2","deprecated":false,"id":"now_minute/2","title":"now_minute(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraCore.ErrorCountsAccumulator.State"},{"deprecated":false,"group":"","id":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinute","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinute"},{"deprecated":false,"group":"","id":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinuteByApp","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinuteByApp"},{"deprecated":false,"group":"","id":"AntikytheraCore.Ets","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"create_read_optimized_table/1","deprecated":false,"id":"create_read_optimized_table/1","title":"create_read_optimized_table(table_name)"},{"anchor":"init_all/0","deprecated":false,"id":"init_all/0","title":"init_all()"}]}],"sections":[],"title":"AntikytheraCore.Ets"},{"deprecated":false,"group":"","id":"AntikytheraCore.Ets.ConfigCache","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"},{"anchor":"table_name/0","deprecated":false,"id":"table_name/0","title":"table_name()"}]}],"sections":[],"title":"AntikytheraCore.Ets.ConfigCache"},{"deprecated":false,"group":"","id":"AntikytheraCore.Ets.ConfigCache.Core","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"read/0","deprecated":false,"id":"read/0","title":"read()"},{"anchor":"write/1","deprecated":false,"id":"write/1","title":"write(m)"}]}],"sections":[],"title":"AntikytheraCore.Ets.ConfigCache.Core"},{"deprecated":false,"group":"","id":"AntikytheraCore.Ets.ConfigCache.Gear","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"read/1","deprecated":false,"id":"read/1","title":"read(gear_name)"},{"anchor":"write/2","deprecated":false,"id":"write/2","title":"write(gear_name, conf)"}]}],"sections":[],"title":"AntikytheraCore.Ets.ConfigCache.Gear"},{"deprecated":false,"group":"","id":"AntikytheraCore.Ets.GearActionRunnerPools","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"},{"anchor":"table_name/0","deprecated":false,"id":"table_name/0","title":"table_name()"}]}],"sections":[],"title":"AntikytheraCore.Ets.GearActionRunnerPools"},{"deprecated":false,"group":"","id":"AntikytheraCore.Ets.Memcache","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"delete/2","deprecated":false,"id":"delete/2","title":"delete(key, epool_id)"},{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"},{"anchor":"read/2","deprecated":false,"id":"read/2","title":"read(key, epool_id)"},{"anchor":"table_name/0","deprecated":false,"id":"table_name/0","title":"table_name()"},{"anchor":"write/5","deprecated":false,"id":"write/5","title":"write(key, value, expire_at, prob_expire_at, epool_id)"}]}],"sections":[],"title":"AntikytheraCore.Ets.Memcache"},{"deprecated":false,"group":"","id":"AntikytheraCore.Ets.SystemCache","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"},{"anchor":"table_name/0","deprecated":false,"id":"table_name/0","title":"table_name()"}]}],"sections":[],"title":"AntikytheraCore.Ets.SystemCache"},{"deprecated":false,"group":"","id":"AntikytheraCore.Ets.TenantToGearsMapping","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"associated?/2","deprecated":false,"id":"associated?/2","title":"associated?(tenant_id, gear_name)"},{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"},{"anchor":"set/2","deprecated":false,"id":"set/2","title":"set(tenant_id, gear_names)"},{"anchor":"table_name/0","deprecated":false,"id":"table_name/0","title":"table_name()"},{"anchor":"unset/1","deprecated":false,"id":"unset/1","title":"unset(tenant_id)"}]}],"sections":[],"title":"AntikytheraCore.Ets.TenantToGearsMapping"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"apply_setting/2","deprecated":false,"id":"apply_setting/2","title":"apply_setting(epool_id, arg1)"},{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(args)"},{"anchor":"kill_executor_pool/1","deprecated":false,"id":"kill_executor_pool/1","title":"kill_executor_pool(epool_id)"},{"anchor":"start_executor_pool/2","deprecated":false,"id":"start_executor_pool/2","title":"start_executor_pool(epool_id, setting)"},{"anchor":"start_link/3","deprecated":false,"id":"start_link/3","title":"start_link(epool_id, uploader, arg2)"},{"anchor":"start_per_gear_executor_pool/1","deprecated":false,"id":"start_per_gear_executor_pool/1","title":"start_per_gear_executor_pool(gear_name)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.ActionRunner","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"run/4","deprecated":false,"id":"run/4","title":"run(pid, conn, entry_point, timeout)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(arg)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.ActionRunner"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.AsyncJobBroker","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"deactivate/1","deprecated":false,"id":"deactivate/1","title":"deactivate(pid)"},{"anchor":"notify_job_registered/1","deprecated":false,"id":"notify_job_registered/1","title":"notify_job_registered(pid)"},{"anchor":"notify_pool_capacity_may_have_changed/1","deprecated":false,"id":"notify_pool_capacity_may_have_changed/1","title":"notify_pool_capacity_may_have_changed(name)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.AsyncJobBroker"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.AsyncJobBroker.Phase","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"},{"anchor":"values/0","deprecated":false,"id":"values/0","title":"values()"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.AsyncJobBroker.Phase"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.AsyncJobBroker.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"phase/1","deprecated":false,"id":"phase/1","title":"phase(state)"},{"anchor":"phase/2","deprecated":false,"id":"phase/2","title":"phase(s, field)"},{"anchor":"pool_name/1","deprecated":false,"id":"pool_name/1","title":"pool_name(state)"},{"anchor":"pool_name/2","deprecated":false,"id":"pool_name/2","title":"pool_name(s, field)"},{"anchor":"queue_name/1","deprecated":false,"id":"queue_name/1","title":"queue_name(state)"},{"anchor":"queue_name/2","deprecated":false,"id":"queue_name/2","title":"queue_name(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.AsyncJobBroker.State"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.AsyncJobLog.Writer","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"info/1","deprecated":false,"id":"info/1","title":"info(message)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.AsyncJobLog.Writer"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.AsyncJobRunner","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"abandon_callback_max_duration/0","deprecated":false,"id":"abandon_callback_max_duration/0","title":"abandon_callback_max_duration()"},{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"do_abandon/4","deprecated":false,"id":"do_abandon/4","title":"do_abandon(module, payload, metadata, context)"},{"anchor":"do_run/4","deprecated":false,"id":"do_run/4","title":"do_run(module, payload, metadata, context)"},{"anchor":"run/4","deprecated":false,"id":"run/4","title":"run(pid, queue_name, job_key, job)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(epool_id)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.AsyncJobRunner"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.Id","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"validate_association/2","deprecated":false,"id":"validate_association/2","title":"validate_association(epool_id, gear_name)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.Id"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.MemcacheWriter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"max_records/0","deprecated":false,"id":"max_records/0","title":"max_records()"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"},{"anchor":"write/5","deprecated":false,"id":"write/5","title":"write(key, value, epool_id, lifetime_in_sec, prob_lifetime_ratio)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.MemcacheWriter"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.RegisteredName","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"action_runner_pool_multi/1","deprecated":false,"id":"action_runner_pool_multi/1","title":"action_runner_pool_multi(epool_id)"},{"anchor":"action_runner_pool_multi_unsafe/1","deprecated":false,"id":"action_runner_pool_multi_unsafe/1","title":"action_runner_pool_multi_unsafe(epool_id)"},{"anchor":"async_job_broker/1","deprecated":false,"id":"async_job_broker/1","title":"async_job_broker(epool_id)"},{"anchor":"async_job_broker_unsafe/1","deprecated":false,"id":"async_job_broker_unsafe/1","title":"async_job_broker_unsafe(epool_id)"},{"anchor":"async_job_queue/1","deprecated":false,"id":"async_job_queue/1","title":"async_job_queue(epool_id)"},{"anchor":"async_job_queue_unsafe/1","deprecated":false,"id":"async_job_queue_unsafe/1","title":"async_job_queue_unsafe(epool_id)"},{"anchor":"async_job_runner_pool/1","deprecated":false,"id":"async_job_runner_pool/1","title":"async_job_runner_pool(epool_id)"},{"anchor":"async_job_runner_pool_unsafe/1","deprecated":false,"id":"async_job_runner_pool_unsafe/1","title":"async_job_runner_pool_unsafe(epool_id)"},{"anchor":"memcache_writer/1","deprecated":false,"id":"memcache_writer/1","title":"memcache_writer(epool_id)"},{"anchor":"memcache_writer_unsafe/1","deprecated":false,"id":"memcache_writer_unsafe/1","title":"memcache_writer_unsafe(epool_id)"},{"anchor":"supervisor/1","deprecated":false,"id":"supervisor/1","title":"supervisor(epool_id)"},{"anchor":"supervisor_unsafe/1","deprecated":false,"id":"supervisor_unsafe/1","title":"supervisor_unsafe(epool_id)"},{"anchor":"websocket_connections_counter/1","deprecated":false,"id":"websocket_connections_counter/1","title":"websocket_connections_counter(epool_id)"},{"anchor":"websocket_connections_counter_unsafe/1","deprecated":false,"id":"websocket_connections_counter_unsafe/1","title":"websocket_connections_counter_unsafe(epool_id)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.RegisteredName"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.Setting","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"all/0","deprecated":false,"id":"all/0","title":"all()"},{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"n_pools_a/1","deprecated":false,"id":"n_pools_a/1","title":"n_pools_a(setting)"},{"anchor":"n_pools_a/2","deprecated":false,"id":"n_pools_a/2","title":"n_pools_a(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"of_gear/1","deprecated":false,"id":"of_gear/1","title":"of_gear(gear_name)"},{"anchor":"pool_size_a/1","deprecated":false,"id":"pool_size_a/1","title":"pool_size_a(setting)"},{"anchor":"pool_size_a/2","deprecated":false,"id":"pool_size_a/2","title":"pool_size_a(s, field)"},{"anchor":"pool_size_j/1","deprecated":false,"id":"pool_size_j/1","title":"pool_size_j(setting)"},{"anchor":"pool_size_j/2","deprecated":false,"id":"pool_size_j/2","title":"pool_size_j(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"},{"anchor":"ws_max_connections/1","deprecated":false,"id":"ws_max_connections/1","title":"ws_max_connections(setting)"},{"anchor":"ws_max_connections/2","deprecated":false,"id":"ws_max_connections/2","title":"ws_max_connections(s, field)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.Setting"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.Sup","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(arg0)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.Sup"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.TenantSetting","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"associate_with_gear/2","deprecated":false,"id":"associate_with_gear/2","title":"associate_with_gear(gear_name, tenant_id)"},{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"disassociate_from_gear/2","deprecated":false,"id":"disassociate_from_gear/2","title":"disassociate_from_gear(gear_name, tenant_id)"},{"anchor":"fetch_all_modified/1","deprecated":false,"id":"fetch_all_modified/1","title":"fetch_all_modified(since)"},{"anchor":"gears/1","deprecated":false,"id":"gears/1","title":"gears(tenant_setting)"},{"anchor":"gears/2","deprecated":false,"id":"gears/2","title":"gears(s, field)"},{"anchor":"n_pools_a/1","deprecated":false,"id":"n_pools_a/1","title":"n_pools_a(tenant_setting)"},{"anchor":"n_pools_a/2","deprecated":false,"id":"n_pools_a/2","title":"n_pools_a(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"persist_new_tenant_and_broadcast/2","deprecated":false,"id":"persist_new_tenant_and_broadcast/2","title":"persist_new_tenant_and_broadcast(tenant_id, gears)"},{"anchor":"pool_size_a/1","deprecated":false,"id":"pool_size_a/1","title":"pool_size_a(tenant_setting)"},{"anchor":"pool_size_a/2","deprecated":false,"id":"pool_size_a/2","title":"pool_size_a(s, field)"},{"anchor":"pool_size_j/1","deprecated":false,"id":"pool_size_j/1","title":"pool_size_j(tenant_setting)"},{"anchor":"pool_size_j/2","deprecated":false,"id":"pool_size_j/2","title":"pool_size_j(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"},{"anchor":"ws_max_connections/1","deprecated":false,"id":"ws_max_connections/1","title":"ws_max_connections(tenant_setting)"},{"anchor":"ws_max_connections/2","deprecated":false,"id":"ws_max_connections/2","title":"ws_max_connections(s, field)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.TenantSetting"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.TimedJobStarter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.TimedJobStarter"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.UsageReporter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.UsageReporter"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.WebsocketConnectionsCounter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"gradually_terminate_all_ws_connections/0","deprecated":false,"id":"gradually_terminate_all_ws_connections/0","title":"gradually_terminate_all_ws_connections()"},{"anchor":"increment/2","deprecated":false,"id":"increment/2","title":"increment(epool_id, ws_pid)"},{"anchor":"set_max/2","deprecated":false,"id":"set_max/2","title":"set_max(epool_id, max)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"},{"anchor":"start_terminating_all_ws_connections/0","deprecated":false,"id":"start_terminating_all_ws_connections/0","title":"start_terminating_all_ws_connections()"},{"anchor":"stats/1","deprecated":false,"id":"stats/1","title":"stats(epool_id)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.WebsocketConnectionsCounter"},{"deprecated":false,"group":"","id":"AntikytheraCore.ExecutorPool.WsConnectionsCapping","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"cap_based_on_available_memory/1","deprecated":false,"id":"cap_based_on_available_memory/1","title":"cap_based_on_available_memory(setting)"}]}],"sections":[],"title":"AntikytheraCore.ExecutorPool.WsConnectionsCapping"},{"deprecated":false,"group":"","id":"AntikytheraCore.FileSetup","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"setup_files_and_ets_tables/0","deprecated":false,"id":"setup_files_and_ets_tables/0","title":"setup_files_and_ets_tables()"},{"anchor":"write_initial_antikythera_instance_version_to_history_if_non_cloud/1","deprecated":false,"id":"write_initial_antikythera_instance_version_to_history_if_non_cloud/1","title":"write_initial_antikythera_instance_version_to_history_if_non_cloud(version)"}]}],"sections":[],"title":"AntikytheraCore.FileSetup"},{"deprecated":false,"group":"","id":"AntikytheraCore.FileUtil","sections":[],"title":"AntikytheraCore.FileUtil"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearConfigPoller","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.GearConfigPoller"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearExecutorPoolsManager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.GearExecutorPoolsManager"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearLog.ContextHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"get!/0","deprecated":false,"id":"get!/0","title":"get!()"},{"anchor":"set/1","deprecated":false,"id":"set/1","title":"set(conn_or_context_or_id)"}]}],"sections":[],"title":"AntikytheraCore.GearLog.ContextHelper"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearLog.FileHandle","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"close/1","deprecated":false,"id":"close/1","title":"close(arg0)"},{"anchor":"open/2","deprecated":false,"id":"open/2","title":"open(file_path, opts \\\\ [])"},{"anchor":"restore_write_to_terminal/1","deprecated":false,"id":"restore_write_to_terminal/1","title":"restore_write_to_terminal(handle)"},{"anchor":"rotate/1","deprecated":false,"id":"rotate/1","title":"rotate(arg0)"},{"anchor":"set_write_to_terminal/2","deprecated":false,"id":"set_write_to_terminal/2","title":"set_write_to_terminal(handle, new_val)"},{"anchor":"write/2","deprecated":false,"id":"write/2","title":"write(handle, gear_log)"}]}],"sections":[],"title":"AntikytheraCore.GearLog.FileHandle"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearLog.FileHandle.SizeCheck","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"check_now?/2","deprecated":false,"id":"check_now?/2","title":"check_now?(now, last_checked_at)"},{"anchor":"exceeds_limit?/1","deprecated":false,"id":"exceeds_limit?/1","title":"exceeds_limit?(file_path)"}]}],"sections":[],"title":"AntikytheraCore.GearLog.FileHandle.SizeCheck"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearLog.Level","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"default/0","deprecated":false,"id":"default/0","title":"default()"},{"anchor":"from_string/1","deprecated":false,"id":"from_string/1","title":"from_string(level_str)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"},{"anchor":"values/0","deprecated":false,"id":"values/0","title":"values()"},{"anchor":"write_to_log?/2","deprecated":false,"id":"write_to_log?/2","title":"write_to_log?(min_level, message_level)"}]}],"sections":[],"title":"AntikytheraCore.GearLog.Level"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearLog.LogRotation","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/3","deprecated":false,"id":"init/3","title":"init(interval, file_path, opts \\\\ [])"},{"anchor":"restore_write_to_terminal/1","deprecated":false,"id":"restore_write_to_terminal/1","title":"restore_write_to_terminal(state)"},{"anchor":"rotate/1","deprecated":false,"id":"rotate/1","title":"rotate(state)"},{"anchor":"set_write_to_terminal/2","deprecated":false,"id":"set_write_to_terminal/2","title":"set_write_to_terminal(state, new_val)"},{"anchor":"terminate/1","deprecated":false,"id":"terminate/1","title":"terminate(arg0)"},{"anchor":"write_log/2","deprecated":false,"id":"write_log/2","title":"write_log(state, log)"}]}],"sections":[],"title":"AntikytheraCore.GearLog.LogRotation"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearLog.LogRotation.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"empty?/1","deprecated":false,"id":"empty?/1","title":"empty?(state)"},{"anchor":"empty?/2","deprecated":false,"id":"empty?/2","title":"empty?(s, field)"},{"anchor":"file_handle/1","deprecated":false,"id":"file_handle/1","title":"file_handle(state)"},{"anchor":"file_handle/2","deprecated":false,"id":"file_handle/2","title":"file_handle(s, field)"},{"anchor":"interval/1","deprecated":false,"id":"interval/1","title":"interval(state)"},{"anchor":"interval/2","deprecated":false,"id":"interval/2","title":"interval(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"timer/1","deprecated":false,"id":"timer/1","title":"timer(state)"},{"anchor":"timer/2","deprecated":false,"id":"timer/2","title":"timer(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraCore.GearLog.LogRotation.State"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearLog.Message","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]}],"sections":[],"title":"AntikytheraCore.GearLog.Message"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearLog.Writer","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"debug/2","deprecated":false,"id":"debug/2","title":"debug(logger_name, msg)"},{"anchor":"debug/4","deprecated":false,"id":"debug/4","title":"debug(logger_name, t, context_id, msg)"},{"anchor":"error/2","deprecated":false,"id":"error/2","title":"error(logger_name, msg)"},{"anchor":"error/4","deprecated":false,"id":"error/4","title":"error(logger_name, t, context_id, msg)"},{"anchor":"info/2","deprecated":false,"id":"info/2","title":"info(logger_name, msg)"},{"anchor":"info/4","deprecated":false,"id":"info/4","title":"info(logger_name, t, context_id, msg)"},{"anchor":"restore_write_to_terminal/1","deprecated":false,"id":"restore_write_to_terminal/1","title":"restore_write_to_terminal(gear_name)"},{"anchor":"rotate/1","deprecated":false,"id":"rotate/1","title":"rotate(gear_name)"},{"anchor":"rotate_and_start_upload_in_all_nodes/1","deprecated":false,"id":"rotate_and_start_upload_in_all_nodes/1","title":"rotate_and_start_upload_in_all_nodes(gear_name)"},{"anchor":"set_min_level/2","deprecated":false,"id":"set_min_level/2","title":"set_min_level(gear_name, level)"},{"anchor":"set_write_to_terminal/2","deprecated":false,"id":"set_write_to_terminal/2","title":"set_write_to_terminal(gear_name, new_val)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.GearLog.Writer"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearLog.Writer.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"log_state/1","deprecated":false,"id":"log_state/1","title":"log_state(state)"},{"anchor":"log_state/2","deprecated":false,"id":"log_state/2","title":"log_state(s, field)"},{"anchor":"min_level/1","deprecated":false,"id":"min_level/1","title":"min_level(state)"},{"anchor":"min_level/2","deprecated":false,"id":"min_level/2","title":"min_level(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"uploader/1","deprecated":false,"id":"uploader/1","title":"uploader(state)"},{"anchor":"uploader/2","deprecated":false,"id":"uploader/2","title":"uploader(s, field)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraCore.GearLog.Writer.State"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearManager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"gear_started/1","deprecated":false,"id":"gear_started/1","title":"gear_started(gear_name)"},{"anchor":"gear_stopped/1","deprecated":false,"id":"gear_stopped/1","title":"gear_stopped(gear_name)"},{"anchor":"running_gear_names/0","deprecated":false,"id":"running_gear_names/0","title":"running_gear_names()"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.GearManager"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearModule","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"alert_manager/1","deprecated":false,"id":"alert_manager/1","title":"alert_manager(gear_name)"},{"anchor":"alert_manager_unsafe/1","deprecated":false,"id":"alert_manager_unsafe/1","title":"alert_manager_unsafe(gear_name)"},{"anchor":"error_handler/1","deprecated":false,"id":"error_handler/1","title":"error_handler(gear_name)"},{"anchor":"error_handler_unsafe/1","deprecated":false,"id":"error_handler_unsafe/1","title":"error_handler_unsafe(gear_name)"},{"anchor":"logger/1","deprecated":false,"id":"logger/1","title":"logger(gear_name)"},{"anchor":"logger_unsafe/1","deprecated":false,"id":"logger_unsafe/1","title":"logger_unsafe(gear_name)"},{"anchor":"metrics_uploader/1","deprecated":false,"id":"metrics_uploader/1","title":"metrics_uploader(gear_name)"},{"anchor":"metrics_uploader_unsafe/1","deprecated":false,"id":"metrics_uploader_unsafe/1","title":"metrics_uploader_unsafe(gear_name)"},{"anchor":"request_helper_modules/1","deprecated":false,"id":"request_helper_modules/1","title":"request_helper_modules(gear_name)"},{"anchor":"root_supervisor/1","deprecated":false,"id":"root_supervisor/1","title":"root_supervisor(gear_name)"},{"anchor":"root_supervisor_unsafe/1","deprecated":false,"id":"root_supervisor_unsafe/1","title":"root_supervisor_unsafe(gear_name)"},{"anchor":"router/1","deprecated":false,"id":"router/1","title":"router(gear_name)"},{"anchor":"router_unsafe/1","deprecated":false,"id":"router_unsafe/1","title":"router_unsafe(gear_name)"},{"anchor":"template_module_from_context/1","deprecated":false,"id":"template_module_from_context/1","title":"template_module_from_context(arg0)"},{"anchor":"top/1","deprecated":false,"id":"top/1","title":"top(gear_name)"}]}],"sections":[],"title":"AntikytheraCore.GearModule"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearProcess","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"max_heap_size/0","deprecated":false,"id":"max_heap_size/0","title":"max_heap_size()"},{"anchor":"set_max_heap_size/0","deprecated":false,"id":"set_max_heap_size/0","title":"set_max_heap_size()"},{"anchor":"spawn_monitor/3","deprecated":false,"id":"spawn_monitor/3","title":"spawn_monitor(m, f, as)"}]}],"sections":[],"title":"AntikytheraCore.GearProcess"},{"deprecated":false,"group":"","id":"AntikytheraCore.GearTask","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:mod_fun_args/0","deprecated":false,"id":"mod_fun_args/0","title":"mod_fun_args()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"exec_wait/4","deprecated":false,"id":"exec_wait/4","title":"exec_wait(mfa, timeout, success_fun, failure_fun)"}]}],"sections":[],"title":"AntikytheraCore.GearTask"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.BodyParser","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"parse/1","deprecated":false,"id":"parse/1","title":"parse(req)"}]}],"sections":[],"title":"AntikytheraCore.Handler.BodyParser"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.CowboyReq","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:result/1","deprecated":false,"id":"result/1","title":"result(a)"},{"anchor":"t:routing_info/0","deprecated":false,"id":"routing_info/0","title":"routing_info()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"method/1","deprecated":false,"id":"method/1","title":"method(req)"},{"anchor":"path_info/1","deprecated":false,"id":"path_info/1","title":"path_info(arg0)"},{"anchor":"query_params/2","deprecated":false,"id":"query_params/2","title":"query_params(req, routing_info)"},{"anchor":"request_body_pair/4","deprecated":false,"id":"request_body_pair/4","title":"request_body_pair(req1, routing_info, qparams, helper_modules)"},{"anchor":"with_conn/5","deprecated":false,"id":"with_conn/5","title":"with_conn(req, routing_info, qparams, body_pair \\\\ {\"\", \"\"}, f)"}]}],"sections":[],"title":"AntikytheraCore.Handler.CowboyReq"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.CowboyRouting","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"compiled_routes/2","deprecated":false,"id":"compiled_routes/2","title":"compiled_routes(gear_names, initialized?)"},{"anchor":"conflicts_with_default_domain?/2","deprecated":false,"id":"conflicts_with_default_domain?/2","title":"conflicts_with_default_domain?(custom_domain, env \\\\ :undefined)"},{"anchor":"default_domain/2","deprecated":false,"id":"default_domain/2","title":"default_domain(gear_name, env \\\\ :undefined)"},{"anchor":"update_routing/2","deprecated":false,"id":"update_routing/2","title":"update_routing(gear_names, initialized?)"}]}],"sections":[],"title":"AntikytheraCore.Handler.CowboyRouting"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.ExecutorPoolHelper","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"increment_ws_count/4","deprecated":false,"id":"increment_ws_count/4","title":"increment_ws_count(conn, req, arg2, f)"},{"anchor":"with_executor/4","deprecated":false,"id":"with_executor/4","title":"with_executor(conn, gear_name, helper_modules, f)"}]}],"sections":[],"title":"AntikytheraCore.Handler.ExecutorPoolHelper"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.GearAction","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"split_path_to_segments/1","deprecated":false,"id":"split_path_to_segments/1","title":"split_path_to_segments(path)"},{"anchor":"with_logging_and_metrics_reporting/3","deprecated":false,"id":"with_logging_and_metrics_reporting/3","title":"with_logging_and_metrics_reporting(conn, helper_modules, f)"}]}],"sections":[],"title":"AntikytheraCore.Handler.GearAction"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.GearAction.G2g","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"handle/3","deprecated":false,"id":"handle/3","title":"handle(req, context, receiver_gear)"}]}],"sections":[],"title":"AntikytheraCore.Handler.GearAction.G2g"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.GearAction.Web","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:http_reply/0","deprecated":false,"id":"http_reply/0","title":"http_reply()"},{"anchor":"t:ws_upgrade/0","deprecated":false,"id":"ws_upgrade/0","title":"ws_upgrade()"}]}],"sections":[],"title":"AntikytheraCore.Handler.GearAction.Web"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.GearError","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"bad_executor_pool_id/2","deprecated":false,"id":"bad_executor_pool_id/2","title":"bad_executor_pool_id(conn, reason)"},{"anchor":"bad_request/1","deprecated":false,"id":"bad_request/1","title":"bad_request(conn)"},{"anchor":"error/3","deprecated":false,"id":"error/3","title":"error(conn, reason, stacktrace)"},{"anchor":"internal_error_body/3","deprecated":false,"id":"internal_error_body/3","title":"internal_error_body(conn, reason, stacktrace)"},{"anchor":"no_route/1","deprecated":false,"id":"no_route/1","title":"no_route(conn)"},{"anchor":"ws_too_many_connections/1","deprecated":false,"id":"ws_too_many_connections/1","title":"ws_too_many_connections(conn)"}]}],"sections":[],"title":"AntikytheraCore.Handler.GearError"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.Healthcheck","sections":[],"title":"AntikytheraCore.Handler.Healthcheck"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.Healthcheck.Initialized","sections":[],"title":"AntikytheraCore.Handler.Healthcheck.Initialized"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.Healthcheck.Uninitialized","sections":[],"title":"AntikytheraCore.Handler.Healthcheck.Uninitialized"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.HelperModules","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"logger/1","deprecated":false,"id":"logger/1","title":"logger(helper_modules)"},{"anchor":"logger/2","deprecated":false,"id":"logger/2","title":"logger(s, field)"},{"anchor":"metrics_uploader/1","deprecated":false,"id":"metrics_uploader/1","title":"metrics_uploader(helper_modules)"},{"anchor":"metrics_uploader/2","deprecated":false,"id":"metrics_uploader/2","title":"metrics_uploader(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"router/1","deprecated":false,"id":"router/1","title":"router(helper_modules)"},{"anchor":"router/2","deprecated":false,"id":"router/2","title":"router(s, field)"},{"anchor":"top/1","deprecated":false,"id":"top/1","title":"top(helper_modules)"},{"anchor":"top/2","deprecated":false,"id":"top/2","title":"top(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraCore.Handler.HelperModules"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.SystemInfoExporter","sections":[],"title":"AntikytheraCore.Handler.SystemInfoExporter"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.SystemInfoExporter.AccessToken","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"get/0","deprecated":false,"id":"get/0","title":"get()"},{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"},{"anchor":"with_valid_token/2","deprecated":false,"id":"with_valid_token/2","title":"with_valid_token(req, f)"}]}],"sections":[],"title":"AntikytheraCore.Handler.SystemInfoExporter.AccessToken"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.SystemInfoExporter.ErrorCount","sections":[],"title":"AntikytheraCore.Handler.SystemInfoExporter.ErrorCount"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.SystemInfoExporter.Upgradability","sections":[],"title":"AntikytheraCore.Handler.SystemInfoExporter.Upgradability"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.SystemInfoExporter.Versions","sections":[],"title":"AntikytheraCore.Handler.SystemInfoExporter.Versions"},{"deprecated":false,"group":"","id":"AntikytheraCore.Handler.WebsocketState","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:callback_result/0","deprecated":false,"id":"callback_result/0","title":"callback_result()"},{"anchor":"t:cowboy_ws_terminate_reason/0","deprecated":false,"id":"cowboy_ws_terminate_reason/0","title":"cowboy_ws_terminate_reason()"},{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"conn/1","deprecated":false,"id":"conn/1","title":"conn(websocket_state)"},{"anchor":"conn/2","deprecated":false,"id":"conn/2","title":"conn(s, field)"},{"anchor":"error_reason/1","deprecated":false,"id":"error_reason/1","title":"error_reason(websocket_state)"},{"anchor":"error_reason/2","deprecated":false,"id":"error_reason/2","title":"error_reason(s, field)"},{"anchor":"frames_received/1","deprecated":false,"id":"frames_received/1","title":"frames_received(websocket_state)"},{"anchor":"frames_received/2","deprecated":false,"id":"frames_received/2","title":"frames_received(s, field)"},{"anchor":"frames_sent/1","deprecated":false,"id":"frames_sent/1","title":"frames_sent(websocket_state)"},{"anchor":"frames_sent/2","deprecated":false,"id":"frames_sent/2","title":"frames_sent(s, field)"},{"anchor":"gear_impl_state/1","deprecated":false,"id":"gear_impl_state/1","title":"gear_impl_state(websocket_state)"},{"anchor":"gear_impl_state/2","deprecated":false,"id":"gear_impl_state/2","title":"gear_impl_state(s, field)"},{"anchor":"handle_client_message/2","deprecated":false,"id":"handle_client_message/2","title":"handle_client_message(state, frame)"},{"anchor":"handle_server_message/2","deprecated":false,"id":"handle_server_message/2","title":"handle_server_message(state, message)"},{"anchor":"helper_modules/1","deprecated":false,"id":"helper_modules/1","title":"helper_modules(websocket_state)"},{"anchor":"helper_modules/2","deprecated":false,"id":"helper_modules/2","title":"helper_modules(s, field)"},{"anchor":"init/1","deprecated":false,"id":"init/1","title":"init(state)"},{"anchor":"make/3","deprecated":false,"id":"make/3","title":"make(conn, arg1, helper_modules)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"terminate/2","deprecated":false,"id":"terminate/2","title":"terminate(state, cowboy_terminate_reason)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"},{"anchor":"ws_module/1","deprecated":false,"id":"ws_module/1","title":"ws_module(websocket_state)"},{"anchor":"ws_module/2","deprecated":false,"id":"ws_module/2","title":"ws_module(s, field)"}]}],"sections":[],"title":"AntikytheraCore.Handler.WebsocketState"},{"deprecated":false,"group":"","id":"AntikytheraCore.Logger","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"error/1","deprecated":false,"id":"error/1","title":"error(message)"},{"anchor":"info/1","deprecated":false,"id":"info/1","title":"info(message)"}]}],"sections":[],"title":"AntikytheraCore.Logger"},{"deprecated":false,"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:data_t/0","deprecated":false,"id":"data_t/0","title":"data_t()"},{"anchor":"t:results_t/0","deprecated":false,"id":"results_t/0","title":"results_t()"},{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"name_to_module/1","deprecated":false,"id":"name_to_module/1","title":"name_to_module(atom)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"},{"anchor":"values/0","deprecated":false,"id":"values/0","title":"values()"}]}],"sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy"},{"deprecated":false,"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.Average","sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.Average"},{"deprecated":false,"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:init/1","deprecated":false,"id":"init/1","title":"init(number)"},{"anchor":"c:merge/2","deprecated":false,"id":"merge/2","title":"merge(data_t, number)"},{"anchor":"c:results/1","deprecated":false,"id":"results/1","title":"results(data_t)"}]}],"sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.Behaviour"},{"deprecated":false,"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.Gauge","sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.Gauge"},{"deprecated":false,"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.Name","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(term)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(term)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"},{"anchor":"values/0","deprecated":false,"id":"values/0","title":"values()"}]}],"sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.Name"},{"deprecated":false,"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.RequestCount","sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.RequestCount"},{"deprecated":false,"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.Sum","sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.Sum"},{"deprecated":false,"group":"","id":"AntikytheraCore.Metrics.AggregateStrategy.TimeDistribution","sections":[],"title":"AntikytheraCore.Metrics.AggregateStrategy.TimeDistribution"},{"deprecated":false,"group":"","id":"AntikytheraCore.Metrics.Buffer","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:epool_id/0","deprecated":false,"id":"epool_id/0","title":"epool_id()"},{"anchor":"t:metrics_data_map/0","deprecated":false,"id":"metrics_data_map/0","title":"metrics_data_map()"},{"anchor":"t:metrics_type/0","deprecated":false,"id":"metrics_type/0","title":"metrics_type()"},{"anchor":"t:metrics_unit/0","deprecated":false,"id":"metrics_unit/0","title":"metrics_unit()"},{"anchor":"t:metrics_value/0","deprecated":false,"id":"metrics_value/0","title":"metrics_value()"},{"anchor":"t:minute/0","deprecated":false,"id":"minute/0","title":"minute()"},{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"add/4","deprecated":false,"id":"add/4","title":"add(buffer, now, list, epool_id)"},{"anchor":"new/0","deprecated":false,"id":"new/0","title":"new()"},{"anchor":"partition_ongoing_and_past/2","deprecated":false,"id":"partition_ongoing_and_past/2","title":"partition_ongoing_and_past(buffer, now)"}]}],"sections":[],"title":"AntikytheraCore.Metrics.Buffer"},{"deprecated":false,"group":"","id":"AntikytheraCore.Metrics.Results","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:metrics_label/0","deprecated":false,"id":"metrics_label/0","title":"metrics_label()"},{"anchor":"t:per_unit_results_map/0","deprecated":false,"id":"per_unit_results_map/0","title":"per_unit_results_map()"},{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"compute_results/1","deprecated":false,"id":"compute_results/1","title":"compute_results(list)"},{"anchor":"merge/2","deprecated":false,"id":"merge/2","title":"merge(r1, r2)"},{"anchor":"new/0","deprecated":false,"id":"new/0","title":"new()"}]}],"sections":[],"title":"AntikytheraCore.Metrics.Results"},{"deprecated":false,"group":"","id":"AntikytheraCore.MetricsUploader","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"},{"anchor":"submit/3","deprecated":false,"id":"submit/3","title":"submit(worker_name, data_list, epool_id)"},{"anchor":"submit_custom_metrics/3","deprecated":false,"id":"submit_custom_metrics/3","title":"submit_custom_metrics(worker_name, data_list0, context)"},{"anchor":"submit_with_time/4","deprecated":false,"id":"submit_with_time/4","title":"submit_with_time(worker_name, now, data_list, epool_id)"}]}],"sections":[],"title":"AntikytheraCore.MetricsUploader"},{"deprecated":false,"group":"","id":"AntikytheraCore.Mix.AssetList","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"load_all/2","deprecated":false,"id":"load_all/2","title":"load_all(gear_name, threshold_time)"},{"anchor":"write!/2","deprecated":false,"id":"write!/2","title":"write!(gear_name, keys)"}]}],"sections":[],"title":"AntikytheraCore.Mix.AssetList"},{"deprecated":false,"group":"","id":"AntikytheraCore.MnesiaNodesCleaner","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.MnesiaNodesCleaner"},{"deprecated":false,"group":"","id":"AntikytheraCore.OsUtil","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"},{"anchor":"total_memory_size_in_bytes/0","deprecated":false,"id":"total_memory_size_in_bytes/0","title":"total_memory_size_in_bytes()"}]}],"sections":[],"title":"AntikytheraCore.OsUtil"},{"deprecated":false,"group":"","id":"AntikytheraCore.Path","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"antikythera_root_dir/0","deprecated":false,"id":"antikythera_root_dir/0","title":"antikythera_root_dir()"},{"anchor":"atomic_write!/2","deprecated":false,"id":"atomic_write!/2","title":"atomic_write!(path, content)"},{"anchor":"changed?/2","deprecated":false,"id":"changed?/2","title":"changed?(path, since)"},{"anchor":"compiled_core_dir/0","deprecated":false,"id":"compiled_core_dir/0","title":"compiled_core_dir()"},{"anchor":"compiled_gears_dir/0","deprecated":false,"id":"compiled_gears_dir/0","title":"compiled_gears_dir()"},{"anchor":"config_encryption_key_path/0","deprecated":false,"id":"config_encryption_key_path/0","title":"config_encryption_key_path()"},{"anchor":"core_config_file_path/0","deprecated":false,"id":"core_config_file_path/0","title":"core_config_file_path()"},{"anchor":"core_log_file_path/1","deprecated":false,"id":"core_log_file_path/1","title":"core_log_file_path(name)"},{"anchor":"gear_config_dir/0","deprecated":false,"id":"gear_config_dir/0","title":"gear_config_dir()"},{"anchor":"gear_config_file_path/1","deprecated":false,"id":"gear_config_file_path/1","title":"gear_config_file_path(gear_name)"},{"anchor":"gear_log_dir/1","deprecated":false,"id":"gear_log_dir/1","title":"gear_log_dir(gear_name)"},{"anchor":"gear_log_file_path/1","deprecated":false,"id":"gear_log_file_path/1","title":"gear_log_file_path(gear_name)"},{"anchor":"gear_tmp_dir/0","deprecated":false,"id":"gear_tmp_dir/0","title":"gear_tmp_dir()"},{"anchor":"history_dir/0","deprecated":false,"id":"history_dir/0","title":"history_dir()"},{"anchor":"list_modified_files/2","deprecated":false,"id":"list_modified_files/2","title":"list_modified_files(dir, since)"},{"anchor":"raft_persistence_dir_parent/0","deprecated":false,"id":"raft_persistence_dir_parent/0","title":"raft_persistence_dir_parent()"},{"anchor":"system_info_access_token_path/0","deprecated":false,"id":"system_info_access_token_path/0","title":"system_info_access_token_path()"},{"anchor":"tenant_ids_file_path/0","deprecated":false,"id":"tenant_ids_file_path/0","title":"tenant_ids_file_path()"},{"anchor":"tenant_setting_dir/0","deprecated":false,"id":"tenant_setting_dir/0","title":"tenant_setting_dir()"},{"anchor":"tenant_setting_file_path/1","deprecated":false,"id":"tenant_setting_file_path/1","title":"tenant_setting_file_path(id)"}]}],"sections":[],"title":"AntikytheraCore.Path"},{"deprecated":false,"group":"","id":"AntikytheraCore.PeriodicLog.MessageBuilder","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"build_log/1","deprecated":false,"id":"build_log/1","title":"build_log(state)"},{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"}]}],"sections":[],"title":"AntikytheraCore.PeriodicLog.MessageBuilder"},{"deprecated":false,"group":"","id":"AntikytheraCore.PeriodicLog.ReductionBuilder","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"build_log/1","deprecated":false,"id":"build_log/1","title":"build_log(prev_reduction)"},{"anchor":"init/0","deprecated":false,"id":"init/0","title":"init()"}]}],"sections":[],"title":"AntikytheraCore.PeriodicLog.ReductionBuilder"},{"deprecated":false,"group":"","id":"AntikytheraCore.PeriodicLog.Writer","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(args)"}]}],"sections":[],"title":"AntikytheraCore.PeriodicLog.Writer"},{"deprecated":false,"group":"","id":"AntikytheraCore.PeriodicLog.Writer.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"build_mod/1","deprecated":false,"id":"build_mod/1","title":"build_mod(state)"},{"anchor":"build_mod/2","deprecated":false,"id":"build_mod/2","title":"build_mod(s, field)"},{"anchor":"build_state/1","deprecated":false,"id":"build_state/1","title":"build_state(state)"},{"anchor":"build_state/2","deprecated":false,"id":"build_state/2","title":"build_state(s, field)"},{"anchor":"log_state/1","deprecated":false,"id":"log_state/1","title":"log_state(state)"},{"anchor":"log_state/2","deprecated":false,"id":"log_state/2","title":"log_state(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraCore.PeriodicLog.Writer.State"},{"deprecated":false,"group":"","id":"AntikytheraCore.Release.Appup","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make/5","deprecated":false,"id":"make/5","title":"make(name, v1, v2, v1_dir, v2_dir)"}]}],"sections":[{"anchor":"module-parameters-for-make-5","id":"Parameters for make/5"}],"title":"AntikytheraCore.Release.Appup"},{"deprecated":false,"group":"","id":"AntikytheraCore.Request","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"make_from_cowboy_req/6","deprecated":false,"id":"make_from_cowboy_req/6","title":"make_from_cowboy_req(req, method, path_info, path_matches, qparams, arg)"}]}],"sections":[],"title":"AntikytheraCore.Request"},{"deprecated":false,"group":"","id":"AntikytheraCore.StaleGearArtifactCleaner","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.StaleGearArtifactCleaner"},{"deprecated":false,"group":"","id":"AntikytheraCore.StartupManager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"all_gears_installed/0","deprecated":false,"id":"all_gears_installed/0","title":"all_gears_installed()"},{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"initialized?/0","deprecated":false,"id":"initialized?/0","title":"initialized?()"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"},{"anchor":"update_routing/1","deprecated":false,"id":"update_routing/1","title":"update_routing(gear_names)"}]}],"sections":[],"title":"AntikytheraCore.StartupManager"},{"deprecated":false,"group":"","id":"AntikytheraCore.SystemMetricsReporter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.SystemMetricsReporter"},{"deprecated":false,"group":"","id":"AntikytheraCore.TemplateEngine","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"to_safe_iodata/1","deprecated":false,"id":"to_safe_iodata/1","title":"to_safe_iodata(s)"}]}],"sections":[],"title":"AntikytheraCore.TemplateEngine"},{"deprecated":false,"group":"","id":"AntikytheraCore.TenantExecutorPoolsManager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"all/0","deprecated":false,"id":"all/0","title":"all()"},{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"polling_interval/0","deprecated":false,"id":"polling_interval/0","title":"polling_interval()"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.TenantExecutorPoolsManager"},{"deprecated":false,"group":"","id":"AntikytheraCore.TenantExecutorPoolsManager.OneOffFetcher","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(last_checked_at)"}]}],"sections":[],"title":"AntikytheraCore.TenantExecutorPoolsManager.OneOffFetcher"},{"deprecated":false,"group":"","id":"AntikytheraCore.TerminationManager","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"register_broker/0","deprecated":false,"id":"register_broker/0","title":"register_broker()"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.TerminationManager"},{"deprecated":false,"group":"","id":"AntikytheraCore.TerminationManager.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"brokers/1","deprecated":false,"id":"brokers/1","title":"brokers(state)"},{"anchor":"brokers/2","deprecated":false,"id":"brokers/2","title":"brokers(s, field)"},{"anchor":"in_service?/1","deprecated":false,"id":"in_service?/1","title":"in_service?(state)"},{"anchor":"in_service?/2","deprecated":false,"id":"in_service?/2","title":"in_service?(s, field)"},{"anchor":"log_flushed?/1","deprecated":false,"id":"log_flushed?/1","title":"log_flushed?(state)"},{"anchor":"log_flushed?/2","deprecated":false,"id":"log_flushed?/2","title":"log_flushed?(s, field)"},{"anchor":"new/0","deprecated":false,"id":"new/0","title":"new()"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"next/2","deprecated":false,"id":"next/2","title":"next(state, now_in_service?)"},{"anchor":"not_in_service_count/1","deprecated":false,"id":"not_in_service_count/1","title":"not_in_service_count(state)"},{"anchor":"not_in_service_count/2","deprecated":false,"id":"not_in_service_count/2","title":"not_in_service_count(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraCore.TerminationManager.State"},{"deprecated":false,"group":"","id":"AntikytheraCore.TmpdirTracker","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"finished/0","deprecated":false,"id":"finished/0","title":"finished()"},{"anchor":"get/1","deprecated":false,"id":"get/1","title":"get(epool_id)"},{"anchor":"request/1","deprecated":false,"id":"request/1","title":"request(epool_id)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.TmpdirTracker"},{"deprecated":false,"group":"","id":"AntikytheraCore.TmpdirTracker.State","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"gear_tmp_dir/1","deprecated":false,"id":"gear_tmp_dir/1","title":"gear_tmp_dir(state)"},{"anchor":"gear_tmp_dir/2","deprecated":false,"id":"gear_tmp_dir/2","title":"gear_tmp_dir(s, field)"},{"anchor":"map/1","deprecated":false,"id":"map/1","title":"map(state)"},{"anchor":"map/2","deprecated":false,"id":"map/2","title":"map(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraCore.TmpdirTracker.State"},{"deprecated":false,"group":"","id":"AntikytheraCore.TmpdirTracker.State.Map","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(term)"}]}],"sections":[],"title":"AntikytheraCore.TmpdirTracker.State.Map"},{"deprecated":false,"group":"","id":"AntikytheraCore.Version","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"current_version/1","deprecated":false,"id":"current_version/1","title":"current_version(app_name)"},{"anchor":"read_from_app_file/2","deprecated":false,"id":"read_from_app_file/2","title":"read_from_app_file(lib_dir, app_name)"}]}],"sections":[],"title":"AntikytheraCore.Version"},{"deprecated":false,"group":"","id":"AntikytheraCore.Version.Artifact","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"copy_core_release_tgz/1","deprecated":false,"id":"copy_core_release_tgz/1","title":"copy_core_release_tgz(version)"},{"anchor":"gears_dir/0","deprecated":false,"id":"gears_dir/0","title":"gears_dir()"},{"anchor":"unpack_gear_tgz/2","deprecated":false,"id":"unpack_gear_tgz/2","title":"unpack_gear_tgz(gear_name, version)"}]}],"sections":[],"title":"AntikytheraCore.Version.Artifact"},{"deprecated":false,"group":"","id":"AntikytheraCore.Version.Core","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"upgrade_to_next_version/0","deprecated":false,"id":"upgrade_to_next_version/0","title":"upgrade_to_next_version()"}]}],"sections":[],"title":"AntikytheraCore.Version.Core"},{"deprecated":false,"group":"","id":"AntikytheraCore.Version.Gear","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"gear_dependencies_from_app_file/2","deprecated":false,"id":"gear_dependencies_from_app_file/2","title":"gear_dependencies_from_app_file(gear_name, known_gear_names)"},{"anchor":"install_gears_at_startup/1","deprecated":false,"id":"install_gears_at_startup/1","title":"install_gears_at_startup(gear_names)"},{"anchor":"install_gears_whose_deps_met/4","deprecated":false,"id":"install_gears_whose_deps_met/4","title":"install_gears_whose_deps_met(pairs, installed_gears_set, num_failed_install, f)"},{"anchor":"install_or_upgrade_to_next_version/1","deprecated":false,"id":"install_or_upgrade_to_next_version/1","title":"install_or_upgrade_to_next_version(gear_name)"}]}],"sections":[],"title":"AntikytheraCore.Version.Gear"},{"deprecated":false,"group":"","id":"AntikytheraCore.Version.History","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"all_deployable_gear_names/0","deprecated":false,"id":"all_deployable_gear_names/0","title":"all_deployable_gear_names()"},{"anchor":"find_all_modified_history_files/1","deprecated":false,"id":"find_all_modified_history_files/1","title":"find_all_modified_history_files(since)"},{"anchor":"latest_installable_gear_version/1","deprecated":false,"id":"latest_installable_gear_version/1","title":"latest_installable_gear_version(gear_name)"},{"anchor":"next_upgradable_version/2","deprecated":false,"id":"next_upgradable_version/2","title":"next_upgradable_version(app_name, current_version)"}]}],"sections":[],"title":"AntikytheraCore.Version.History"},{"deprecated":false,"group":"","id":"AntikytheraCore.Version.History.Entry","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"canary?/1","deprecated":false,"id":"canary?/1","title":"canary?(arg0)"},{"anchor":"canary_target_hosts/1","deprecated":false,"id":"canary_target_hosts/1","title":"canary_target_hosts(entry)"},{"anchor":"canary_target_hosts/2","deprecated":false,"id":"canary_target_hosts/2","title":"canary_target_hosts(s, field)"},{"anchor":"from_line/1","deprecated":false,"id":"from_line/1","title":"from_line(s)"},{"anchor":"installable?/1","deprecated":false,"id":"installable?/1","title":"installable?(arg0)"},{"anchor":"installable_until/1","deprecated":false,"id":"installable_until/1","title":"installable_until(entry)"},{"anchor":"installable_until/2","deprecated":false,"id":"installable_until/2","title":"installable_until(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"noupgrade/1","deprecated":false,"id":"noupgrade/1","title":"noupgrade(entry)"},{"anchor":"noupgrade/2","deprecated":false,"id":"noupgrade/2","title":"noupgrade(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"upgradable?/1","deprecated":false,"id":"upgradable?/1","title":"upgradable?(arg0)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"},{"anchor":"version/1","deprecated":false,"id":"version/1","title":"version(entry)"},{"anchor":"version/2","deprecated":false,"id":"version/2","title":"version(s, field)"}]}],"sections":[],"title":"AntikytheraCore.Version.History.Entry"},{"deprecated":false,"group":"","id":"AntikytheraCore.VersionSynchronizer","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.VersionSynchronizer"},{"deprecated":false,"group":"","id":"AntikytheraCore.VersionUpgradeTaskQueue","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"child_spec/1","deprecated":false,"id":"child_spec/1","title":"child_spec(init_arg)"},{"anchor":"core_updated/0","deprecated":false,"id":"core_updated/0","title":"core_updated()"},{"anchor":"disable/0","deprecated":false,"id":"disable/0","title":"disable()"},{"anchor":"enable/0","deprecated":false,"id":"enable/0","title":"enable()"},{"anchor":"gear_updated/1","deprecated":false,"id":"gear_updated/1","title":"gear_updated(gear_name)"},{"anchor":"start_link/1","deprecated":false,"id":"start_link/1","title":"start_link(list)"}]}],"sections":[],"title":"AntikytheraCore.VersionUpgradeTaskQueue"},{"deprecated":false,"group":"","id":"AntikytheraCore.Vm","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"count_messages_in_all_mailboxes/0","deprecated":false,"id":"count_messages_in_all_mailboxes/0","title":"count_messages_in_all_mailboxes()"}]}],"sections":[],"title":"AntikytheraCore.Vm"},{"deprecated":false,"group":"","id":"AntikytheraEal","sections":[{"anchor":"module-module-naming-scheme-for-each-interface","id":"Module naming scheme for each interface"}],"title":"AntikytheraEal"},{"deprecated":false,"group":"","id":"AntikytheraEal.AlertMailer","sections":[],"title":"AntikytheraEal.AlertMailer"},{"deprecated":false,"group":"","id":"AntikytheraEal.AlertMailer.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:deliver/1","deprecated":false,"id":"deliver/1","title":"deliver(mail)"}]}],"sections":[],"title":"AntikytheraEal.AlertMailer.Behaviour"},{"deprecated":false,"group":"","id":"AntikytheraEal.AlertMailer.Mail","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","deprecated":false,"id":"t/0","title":"t()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"body/1","deprecated":false,"id":"body/1","title":"body(mail)"},{"anchor":"body/2","deprecated":false,"id":"body/2","title":"body(s, field)"},{"anchor":"from/1","deprecated":false,"id":"from/1","title":"from(mail)"},{"anchor":"from/2","deprecated":false,"id":"from/2","title":"from(s, field)"},{"anchor":"new/1","deprecated":false,"id":"new/1","title":"new(dict)"},{"anchor":"new!/1","deprecated":false,"id":"new!/1","title":"new!(dict)"},{"anchor":"subject/1","deprecated":false,"id":"subject/1","title":"subject(mail)"},{"anchor":"subject/2","deprecated":false,"id":"subject/2","title":"subject(s, field)"},{"anchor":"to/1","deprecated":false,"id":"to/1","title":"to(mail)"},{"anchor":"to/2","deprecated":false,"id":"to/2","title":"to(s, field)"},{"anchor":"update/2","deprecated":false,"id":"update/2","title":"update(s, dict)"},{"anchor":"update!/2","deprecated":false,"id":"update!/2","title":"update!(s, dict)"},{"anchor":"valid?/1","deprecated":false,"id":"valid?/1","title":"valid?(value)"}]}],"sections":[],"title":"AntikytheraEal.AlertMailer.Mail"},{"deprecated":false,"group":"","id":"AntikytheraEal.AlertMailer.MemoryInbox","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"clean/0","deprecated":false,"id":"clean/0","title":"clean()"},{"anchor":"get/0","deprecated":false,"id":"get/0","title":"get()"}]}],"sections":[],"title":"AntikytheraEal.AlertMailer.MemoryInbox"},{"deprecated":false,"group":"","id":"AntikytheraEal.AssetStorage","sections":[],"title":"AntikytheraEal.AssetStorage"},{"deprecated":false,"group":"","id":"AntikytheraEal.AssetStorage.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:delete/1","deprecated":false,"id":"delete/1","title":"delete(key)"},{"anchor":"c:list/1","deprecated":false,"id":"list/1","title":"list(t)"},{"anchor":"c:list_toplevel_prefixes/0","deprecated":false,"id":"list_toplevel_prefixes/0","title":"list_toplevel_prefixes()"},{"anchor":"c:upload/4","deprecated":false,"id":"upload/4","title":"upload(path, key, mime, gzip?)"}]}],"sections":[],"title":"AntikytheraEal.AssetStorage.Behaviour"},{"deprecated":false,"group":"","id":"AntikytheraEal.AssetStorage.NoOp","sections":[],"title":"AntikytheraEal.AssetStorage.NoOp"},{"deprecated":false,"group":"","id":"AntikytheraEal.ClusterConfiguration","sections":[],"title":"AntikytheraEal.ClusterConfiguration"},{"deprecated":false,"group":"","id":"AntikytheraEal.ClusterConfiguration.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:health_check_grace_period_in_seconds/0","deprecated":false,"id":"health_check_grace_period_in_seconds/0","title":"health_check_grace_period_in_seconds()"},{"anchor":"c:running_hosts/0","deprecated":false,"id":"running_hosts/0","title":"running_hosts()"},{"anchor":"c:zone_of_this_host/0","deprecated":false,"id":"zone_of_this_host/0","title":"zone_of_this_host()"}]}],"sections":[],"title":"AntikytheraEal.ClusterConfiguration.Behaviour"},{"deprecated":false,"group":"","id":"AntikytheraEal.ClusterConfiguration.StandAlone","sections":[],"title":"AntikytheraEal.ClusterConfiguration.StandAlone"},{"deprecated":false,"group":"","id":"AntikytheraEal.ImplChooser","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"extract_impl_module/1","deprecated":false,"id":"extract_impl_module/1","title":"extract_impl_module(config_key)"},{"anchor":"make_vars/2","deprecated":false,"id":"make_vars/2","title":"make_vars(n, module)"}]}],"sections":[],"title":"AntikytheraEal.ImplChooser"},{"deprecated":false,"group":"","id":"AntikytheraEal.LogStorage","sections":[],"title":"AntikytheraEal.LogStorage"},{"deprecated":false,"group":"","id":"AntikytheraEal.LogStorage.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:download_urls/1","deprecated":false,"id":"download_urls/1","title":"download_urls(keys)"},{"anchor":"c:list/2","deprecated":false,"id":"list/2","title":"list(gear_name, date_str)"},{"anchor":"c:upload_rotated_logs/1","deprecated":false,"id":"upload_rotated_logs/1","title":"upload_rotated_logs(t)"}]}],"sections":[],"title":"AntikytheraEal.LogStorage.Behaviour"},{"deprecated":false,"group":"","id":"AntikytheraEal.LogStorage.FileSystem","sections":[],"title":"AntikytheraEal.LogStorage.FileSystem"},{"deprecated":false,"group":"","id":"AntikytheraEal.MetricsStorage","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:metrics_per_unit/0","deprecated":false,"id":"metrics_per_unit/0","title":"metrics_per_unit()"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"save/2","deprecated":false,"id":"save/2","title":"save(otp_app_name, results)"}]}],"sections":[],"title":"AntikytheraEal.MetricsStorage"},{"deprecated":false,"group":"","id":"AntikytheraEal.MetricsStorage.Behaviour","nodeGroups":[{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:upload/3","deprecated":false,"id":"upload/3","title":"upload(otp_app_name, node_id, results)"}]}],"sections":[],"title":"AntikytheraEal.MetricsStorage.Behaviour"},{"deprecated":false,"group":"","id":"AntikytheraEal.MetricsStorage.Memory","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"download/4","deprecated":false,"id":"download/4","title":"download(otp_app_name, epool_id, t1, t2)"}]}],"sections":[],"title":"AntikytheraEal.MetricsStorage.Memory"},{"deprecated":false,"group":"","id":"AntikytheraLocal.Cmd","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"exec_and_output_log!/3","deprecated":false,"id":"exec_and_output_log!/3","title":"exec_and_output_log!(cmd, cmd_args, opts \\\\ [])"}]}],"sections":[],"title":"AntikytheraLocal.Cmd"},{"deprecated":false,"group":"","id":"AntikytheraLocal.NodeName","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"get/0","deprecated":false,"id":"get/0","title":"get()"}]}],"sections":[],"title":"AntikytheraLocal.NodeName"},{"deprecated":false,"group":"","id":"AntikytheraLocal.RunningEnvironment","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"currently_running_os_process_ids/0","deprecated":false,"id":"currently_running_os_process_ids/0","title":"currently_running_os_process_ids()"},{"anchor":"prepare_new_version_of_core/1","deprecated":false,"id":"prepare_new_version_of_core/1","title":"prepare_new_version_of_core(do_upgrade)"},{"anchor":"prepare_new_version_of_gear/2","deprecated":false,"id":"prepare_new_version_of_gear/2","title":"prepare_new_version_of_gear(gear_repo_dir, do_upgrade)"},{"anchor":"setup/1","deprecated":false,"id":"setup/1","title":"setup(gear_repo_dirs)"},{"anchor":"teardown/0","deprecated":false,"id":"teardown/0","title":"teardown()"},{"anchor":"unpacked_gears_dir/0","deprecated":false,"id":"unpacked_gears_dir/0","title":"unpacked_gears_dir()"},{"anchor":"wait_until_upgrade_applied/2","deprecated":false,"id":"wait_until_upgrade_applied/2","title":"wait_until_upgrade_applied(app_name, sha1)"}]}],"sections":[],"title":"AntikytheraLocal.RunningEnvironment"},{"deprecated":false,"group":"","id":"AntikytheraLocal.StartScript","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/2","deprecated":false,"id":"run/2","title":"run(command, release_dir)"}]}],"sections":[],"title":"AntikytheraLocal.StartScript"}],"tasks":[{"deprecated":false,"group":"","id":"Mix.Tasks.Antikythera.Gear.New","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(args)"}]}],"sections":[{"anchor":"module-usage","id":"Usage"},{"anchor":"module-symbolic-links-to-files-in-your-antikythera-instance","id":"Symbolic links to files in your antikythera instance"}],"title":"mix antikythera.gear.new"},{"deprecated":false,"group":"","id":"Mix.Tasks.Antikythera.PrepareAssets","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"dump_asset_file_paths/0","deprecated":false,"id":"dump_asset_file_paths/0","title":"dump_asset_file_paths()"},{"anchor":"run_command/3","deprecated":false,"id":"run_command/3","title":"run_command(cmd, args, env)"},{"anchor":"run_command!/3","deprecated":false,"id":"run_command!/3","title":"run_command!(cmd, args, env)"}]}],"sections":[{"anchor":"module-supported-asset-preparation-method","id":"Supported Asset Preparation Method"}],"title":"mix antikythera.prepare_assets"},{"deprecated":false,"group":"","id":"Mix.Tasks.Antikythera.PrintVersion","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(list)"}]}],"sections":[],"title":"mix antikythera.print_version"},{"deprecated":false,"group":"","id":"Mix.Tasks.AntikytheraCore.DeleteObsoleteAssets","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(_)"}]}],"sections":[],"title":"mix antikythera_core.delete_obsolete_assets"},{"deprecated":false,"group":"","id":"Mix.Tasks.AntikytheraCore.GenerateAppup","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(list)"}]}],"sections":[],"title":"mix antikythera_core.generate_appup"},{"deprecated":false,"group":"","id":"Mix.Tasks.AntikytheraCore.GenerateRelease","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"config_for_mix_release/0","deprecated":false,"id":"config_for_mix_release/0","title":"config_for_mix_release()"}]}],"sections":[],"title":"mix antikythera_core.generate_release"},{"deprecated":false,"group":"","id":"Mix.Tasks.AntikytheraCore.UploadNewAssetVersions","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(_)"}]}],"sections":[],"title":"mix antikythera_core.upload_new_asset_versions"},{"deprecated":false,"group":"","id":"Mix.Tasks.AntikytheraLocal.PrepareCore","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(args)"}]}],"sections":[],"title":"mix antikythera_local.prepare_core"},{"deprecated":false,"group":"","id":"Mix.Tasks.AntikytheraLocal.PrepareGear","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(args)"}]}],"sections":[],"title":"mix antikythera_local.prepare_gear"},{"deprecated":false,"group":"","id":"Mix.Tasks.AntikytheraLocal.Start","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(gear_repo_dirs)"}]}],"sections":[],"title":"mix antikythera_local.start"},{"deprecated":false,"group":"","id":"Mix.Tasks.AntikytheraLocal.Stop","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(args)"}]}],"sections":[],"title":"mix antikythera_local.stop"},{"deprecated":false,"group":"","id":"Mix.Tasks.AntikytheraLocal.UpgradeCompatibilityTest","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(list)"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"mix antikythera_local.upgrade_compatibility_test"},{"deprecated":false,"group":"","id":"Mix.Tasks.AntikytheraLocal.UpgradeCompatibilityTest.WS","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"send_loop/0","deprecated":false,"id":"send_loop/0","title":"send_loop()"}]}],"sections":[],"title":"mix antikythera_local.upgrade_compatibility_test.ws"},{"deprecated":false,"group":"","id":"Mix.Tasks.AntikytheraLocal.VersionUpgradeTest","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"check_application_configs/0","deprecated":false,"id":"check_application_configs/0","title":"check_application_configs()"},{"anchor":"check_healthcheck_and_gear_endpoints/0","deprecated":false,"id":"check_healthcheck_and_gear_endpoints/0","title":"check_healthcheck_and_gear_endpoints()"},{"anchor":"check_new_version_is_applied/4","deprecated":false,"id":"check_new_version_is_applied/4","title":"check_new_version_is_applied(app_name, new_semver, original_version, mixfile_path)"},{"anchor":"check_new_version_with_noupgrade_is_not_applied/4","deprecated":false,"id":"check_new_version_with_noupgrade_is_not_applied/4","title":"check_new_version_with_noupgrade_is_not_applied(app_name, new_semver, original_version, mixfile_path)"},{"anchor":"check_repository_is_clean/1","deprecated":false,"id":"check_repository_is_clean/1","title":"check_repository_is_clean(dir)"},{"anchor":"check_testgear_artifact_dirs/1","deprecated":false,"id":"check_testgear_artifact_dirs/1","title":"check_testgear_artifact_dirs(expected_versions)"},{"anchor":"check_version/2","deprecated":false,"id":"check_version/2","title":"check_version(app_name, expected_version)"},{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(list)"}]}],"sections":[],"title":"mix antikythera_local.version_upgrade_test"},{"deprecated":false,"group":"","id":"Mix.Tasks.Compile.EnsureGearDependencies","sections":[],"title":"mix compile.ensure_gear_dependencies"},{"deprecated":false,"group":"","id":"Mix.Tasks.Compile.GearStaticAnalysis","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(_)"}]}],"sections":[],"title":"mix compile.gear_static_analysis"},{"deprecated":false,"group":"","id":"Mix.Tasks.Compile.PropagateFileModifications","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"run/1","deprecated":false,"id":"run/1","title":"run(_)"}]}],"sections":[],"title":"mix compile.propagate_file_modifications"}]}